/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __BPF_ITER_TEST_KERN4_SKEL_H__
#define __BPF_ITER_TEST_KERN4_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bpf_iter_test_kern4 {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *dump_bpf_map;
	} progs;
	struct {
		struct bpf_link *dump_bpf_map;
	} links;
	struct bpf_iter_test_kern4__bss {
		__u32 map1_id;
		__u32 map2_id;
		__u32 map1_accessed;
		__u32 map2_accessed;
		__u64 map1_seqnum;
		__u64 map2_seqnum1;
		__u64 map2_seqnum2;
	} *bss;
	struct bpf_iter_test_kern4__rodata {
		__u32 ret1;
		__u32 print_len;
	} *rodata;
};

static void
bpf_iter_test_kern4__destroy(struct bpf_iter_test_kern4 *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bpf_iter_test_kern4__create_skeleton(struct bpf_iter_test_kern4 *obj);

static inline struct bpf_iter_test_kern4 *
bpf_iter_test_kern4__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bpf_iter_test_kern4 *obj;
	int err;

	obj = (struct bpf_iter_test_kern4 *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bpf_iter_test_kern4__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bpf_iter_test_kern4__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bpf_iter_test_kern4 *
bpf_iter_test_kern4__open(void)
{
	return bpf_iter_test_kern4__open_opts(NULL);
}

static inline int
bpf_iter_test_kern4__load(struct bpf_iter_test_kern4 *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bpf_iter_test_kern4 *
bpf_iter_test_kern4__open_and_load(void)
{
	struct bpf_iter_test_kern4 *obj;
	int err;

	obj = bpf_iter_test_kern4__open();
	if (!obj)
		return NULL;
	err = bpf_iter_test_kern4__load(obj);
	if (err) {
		bpf_iter_test_kern4__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bpf_iter_test_kern4__attach(struct bpf_iter_test_kern4 *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bpf_iter_test_kern4__detach(struct bpf_iter_test_kern4 *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bpf_iter_test_kern4__elf_bytes(size_t *sz);

static inline int
bpf_iter_test_kern4__create_skeleton(struct bpf_iter_test_kern4 *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "bpf_iter_test_kern4";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "bpf_iter.bss";
	s->maps[0].map = &obj->maps.bss;
	s->maps[0].mmaped = (void **)&obj->bss;

	s->maps[1].name = "bpf_iter.rodata";
	s->maps[1].map = &obj->maps.rodata;
	s->maps[1].mmaped = (void **)&obj->rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "dump_bpf_map";
	s->progs[0].prog = &obj->progs.dump_bpf_map;
	s->progs[0].link = &obj->links.dump_bpf_map;

	s->data = (void *)bpf_iter_test_kern4__elf_bytes(&s->data_sz);

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

static inline const void *bpf_iter_test_kern4__elf_bytes(size_t *sz)
{
	*sz = 7456;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa0\x1a\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x69\x74\
\x65\x72\x2f\x62\x70\x66\x5f\x6d\x61\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\
\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x62\x70\x66\x5f\x69\x74\x65\x72\
\x5f\x74\x65\x73\x74\x5f\x6b\x65\x72\x6e\x34\x2e\x63\0\x4c\x42\x42\x30\x5f\x31\
\x34\0\x4c\x42\x42\x30\x5f\x33\0\x4c\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x30\x5f\
\x31\x31\0\x4c\x42\x42\x30\x5f\x39\0\x4c\x42\x42\x30\x5f\x31\x30\0\x4c\x42\x42\
\x30\x5f\x31\x33\0\x64\x75\x6d\x70\x5f\x62\x70\x66\x5f\x6d\x61\x70\0\x6d\x61\
\x70\x31\x5f\x69\x64\0\x6d\x61\x70\x32\x5f\x69\x64\0\x6d\x61\x70\x31\x5f\x73\
\x65\x71\x6e\x75\x6d\0\x6d\x61\x70\x31\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\
\x6d\x61\x70\x32\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\x6d\x61\x70\x32\x5f\x73\
\x65\x71\x6e\x75\x6d\x31\0\x72\x65\x74\x31\0\x6d\x61\x70\x32\x5f\x73\x65\x71\
\x6e\x75\x6d\x32\0\x70\x72\x69\x6e\x74\x5f\x6c\x65\x6e\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x69\x74\x65\x72\x2f\x62\x70\x66\x5f\x6d\x61\x70\
\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\0\0\
\x03\0\x40\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\0\0\0\0\0\x03\0\x78\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x58\0\0\0\0\0\x03\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\0\
\0\0\0\0\x03\0\xc0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x67\0\0\0\0\0\x03\0\x80\x01\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6e\0\0\0\0\0\x03\0\xa0\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x76\0\0\0\0\0\x03\0\xe8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7e\0\0\0\x12\0\
\x03\0\0\0\0\0\0\0\0\0\x50\x02\0\0\0\0\0\0\x8b\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\x93\0\0\0\x11\0\x05\0\x04\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\x9b\0\0\0\x11\0\x05\0\x10\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xa7\0\0\0\x11\0\x05\
\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb5\0\0\0\x11\0\x05\0\x0c\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xc3\0\0\0\x11\0\x05\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\xd0\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xd5\0\0\0\x11\0\x05\0\
\x20\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\xe2\0\0\0\x11\0\x06\0\x04\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xec\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x79\
\x12\0\0\0\0\0\0\xb7\x07\0\0\0\0\0\0\x79\x26\0\0\0\0\0\0\x79\x12\x08\0\0\0\0\0\
\x15\x02\x43\0\0\0\0\0\x61\x24\x3c\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x61\x33\0\0\0\0\0\0\x1d\x34\x05\0\0\0\0\0\x18\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x61\x44\0\0\0\0\0\0\x61\x25\x3c\0\0\0\0\0\x5d\x45\x39\0\0\0\0\0\x79\x11\0\0\
\0\0\0\0\x79\x11\x10\0\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x61\x24\x3c\0\0\0\0\0\
\x5d\x34\x08\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x13\0\0\0\0\0\0\
\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x34\0\0\0\0\0\0\x07\x04\0\0\x01\0\0\0\
\x63\x43\0\0\0\0\0\0\xb7\x07\0\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x61\x33\0\0\0\0\0\0\x61\x22\x3c\0\0\0\0\0\x5d\x32\x16\0\0\0\0\0\x18\x02\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x55\x02\x0a\0\0\0\0\0\x18\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x7b\x13\0\0\0\0\0\0\xb7\x07\0\0\0\0\0\0\x18\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x15\x01\x06\0\0\0\0\0\xb7\x07\0\0\x01\
\0\0\0\x05\0\x04\0\0\0\0\0\x18\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x13\0\0\0\0\
\0\0\xb7\x07\0\0\0\0\0\0\x07\x02\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x63\x21\0\0\0\0\0\0\x18\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x81\0\0\0\0\0\
\0\x15\x01\x0c\0\0\0\0\0\xb7\x09\0\0\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xf8\xff\xff\xff\xbf\x61\0\0\0\0\0\0\xb7\x03\0\0\x08\0\0\0\x85\0\0\0\x7f\0\0\0\
\x61\x81\0\0\0\0\0\0\x07\x09\0\0\x01\0\0\0\xbf\x92\0\0\0\0\0\0\x67\x02\0\0\x20\
\0\0\0\x77\x02\0\0\x20\0\0\0\xad\x12\xf5\xff\0\0\0\0\xbf\x70\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x01\0\0\0\
\x0b\0\0\0\x50\0\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\xa0\0\0\0\0\0\0\0\x01\0\0\0\
\x0d\0\0\0\xb8\0\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\xe8\0\0\0\0\0\0\0\x01\0\0\0\
\x0c\0\0\0\x10\x01\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\x30\x01\0\0\0\0\0\0\x01\0\0\
\0\x10\0\0\0\x50\x01\0\0\0\0\0\0\x01\0\0\0\x11\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\
\0\0\x12\0\0\0\xa8\x01\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\xc0\x01\0\0\0\0\0\0\x01\
\0\0\0\x13\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xf0\x07\0\0\xf0\x07\0\0\x23\
\x09\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\x01\0\0\0\x02\0\0\x04\x10\0\0\0\x13\0\0\0\
\x03\0\0\0\0\0\0\0\x18\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\
\0\0\0\0\0\0\x02\x0c\0\0\0\0\0\0\0\x01\0\0\x0d\x06\0\0\0\x1c\0\0\0\x01\0\0\0\
\x20\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x24\0\0\0\x01\0\0\x0c\x05\0\0\0\x31\
\0\0\0\x03\0\0\x04\x18\0\0\0\x3f\0\0\0\x09\0\0\0\0\0\0\0\x43\0\0\0\x0a\0\0\0\
\x40\0\0\0\x4e\0\0\0\x0a\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\x02\x4a\0\0\0\x56\0\0\0\
\0\0\0\x08\x0b\0\0\0\x5c\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x6f\0\0\0\x1a\0\0\
\x04\0\x01\0\0\x77\0\0\0\x0d\0\0\0\0\0\0\0\x7b\0\0\0\x04\0\0\0\x40\0\0\0\x8a\0\
\0\0\x0f\0\0\0\x80\0\0\0\x93\0\0\0\x10\0\0\0\xc0\0\0\0\x9c\0\0\0\x11\0\0\0\xe0\
\0\0\0\xa5\0\0\0\x11\0\0\0\0\x01\0\0\xb0\0\0\0\x11\0\0\0\x20\x01\0\0\xbc\0\0\0\
\x14\0\0\0\x40\x01\0\0\xc6\0\0\0\x11\0\0\0\x80\x01\0\0\xd0\0\0\0\x06\0\0\0\xa0\
\x01\0\0\xde\0\0\0\x06\0\0\0\xc0\x01\0\0\xe8\0\0\0\x11\0\0\0\xe0\x01\0\0\xeb\0\
\0\0\x06\0\0\0\0\x02\0\0\xf5\0\0\0\x11\0\0\0\x20\x02\0\0\x05\x01\0\0\x11\0\0\0\
\x40\x02\0\0\x17\x01\0\0\x11\0\0\0\x60\x02\0\0\x31\x01\0\0\x15\0\0\0\x80\x02\0\
\0\x35\x01\0\0\x16\0\0\0\xc0\x02\0\0\x3b\x01\0\0\x18\0\0\0\0\x03\0\0\x40\x01\0\
\0\x1a\0\0\0\x80\x03\0\0\x4f\x01\0\0\x1a\0\0\0\x88\x03\0\0\x56\x01\0\0\x1c\0\0\
\0\0\x04\0\0\x5d\x01\0\0\x1c\0\0\0\x40\x04\0\0\x65\x01\0\0\x21\0\0\0\x80\x04\0\
\0\x6a\x01\0\0\x29\0\0\0\x80\x05\0\0\x77\x01\0\0\x1c\0\0\0\x80\x06\0\0\0\0\0\0\
\0\0\0\x02\x0e\0\0\0\0\0\0\0\0\0\0\x0a\x47\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\x80\
\x01\0\0\x1f\0\0\x06\x04\0\0\0\x8d\x01\0\0\0\0\0\0\xa1\x01\0\0\x01\0\0\0\xb3\
\x01\0\0\x02\0\0\0\xc6\x01\0\0\x03\0\0\0\xde\x01\0\0\x04\0\0\0\xfc\x01\0\0\x05\
\0\0\0\x15\x02\0\0\x06\0\0\0\x2f\x02\0\0\x07\0\0\0\x48\x02\0\0\x08\0\0\0\x62\
\x02\0\0\x09\0\0\0\x78\x02\0\0\x0a\0\0\0\x95\x02\0\0\x0b\0\0\0\xab\x02\0\0\x0c\
\0\0\0\xc6\x02\0\0\x0d\0\0\0\xe0\x02\0\0\x0e\0\0\0\xf4\x02\0\0\x0f\0\0\0\x09\
\x03\0\0\x10\0\0\0\x1d\x03\0\0\x11\0\0\0\x31\x03\0\0\x12\0\0\0\x47\x03\0\0\x13\
\0\0\0\x63\x03\0\0\x14\0\0\0\x84\x03\0\0\x15\0\0\0\xa7\x03\0\0\x16\0\0\0\xba\
\x03\0\0\x17\0\0\0\xcd\x03\0\0\x18\0\0\0\xe5\x03\0\0\x19\0\0\0\xfe\x03\0\0\x1a\
\0\0\0\x16\x04\0\0\x1b\0\0\0\x2b\x04\0\0\x1c\0\0\0\x46\x04\0\0\x1d\0\0\0\x60\
\x04\0\0\x1e\0\0\0\x7a\x04\0\0\0\0\0\x08\x12\0\0\0\x7e\x04\0\0\0\0\0\x08\x13\0\
\0\0\x84\x04\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\x91\x04\0\0\0\0\0\x08\x0a\0\0\0\
\0\0\0\0\0\0\0\x02\x48\0\0\0\0\0\0\0\0\0\0\x02\x49\0\0\0\x95\x04\0\0\0\0\0\x01\
\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x17\0\0\0\x19\0\0\0\x10\0\0\0\
\x9a\x04\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\xae\x04\0\0\0\0\0\x08\x1b\0\0\0\xb3\
\x04\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x04\xb9\x04\0\0\0\0\0\x08\x1d\0\0\0\0\0\0\
\0\x01\0\0\x04\x08\0\0\0\xc4\x04\0\0\x1e\0\0\0\0\0\0\0\xcc\x04\0\0\0\0\0\x08\
\x1f\0\0\0\xd0\x04\0\0\0\0\0\x08\x20\0\0\0\xd6\x04\0\0\0\0\0\x01\x08\0\0\0\x40\
\0\0\x01\xe0\x04\0\0\x03\0\0\x04\x20\0\0\0\xec\x04\0\0\x22\0\0\0\0\0\0\0\xf1\
\x04\0\0\x23\0\0\0\x40\0\0\0\xf7\x04\0\0\x25\0\0\0\xc0\0\0\0\xfc\x04\0\0\0\0\0\
\x08\x1c\0\0\0\x0a\x05\0\0\x02\0\0\x04\x10\0\0\0\x14\x05\0\0\x24\0\0\0\0\0\0\0\
\x19\x05\0\0\x24\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x23\0\0\0\x1e\x05\0\0\0\0\0\
\x08\x26\0\0\0\0\0\0\0\0\0\0\x02\x27\0\0\0\0\0\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\
\x28\0\0\0\0\0\0\0\0\0\0\x02\x21\0\0\0\x2a\x05\0\0\x04\0\0\x04\x20\0\0\0\x30\
\x05\0\0\x22\0\0\0\0\0\0\0\x36\x05\0\0\x2a\0\0\0\x40\0\0\0\x40\x05\0\0\x39\0\0\
\0\x60\0\0\0\x44\x05\0\0\x23\0\0\0\x80\0\0\0\x4e\x05\0\0\0\0\0\x08\x2b\0\0\0\
\x5d\x05\0\0\x01\0\0\x04\x04\0\0\0\x6a\x05\0\0\x2c\0\0\0\0\0\0\0\x73\x05\0\0\0\
\0\0\x08\x2d\0\0\0\x83\x05\0\0\x01\0\0\x04\x04\0\0\0\0\0\0\0\x2e\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\x05\x04\0\0\0\x8d\x05\0\0\x2f\0\0\0\0\0\0\0\0\0\0\0\x31\0\0\0\
\0\0\0\0\0\0\0\0\x35\0\0\0\0\0\0\0\x91\x05\0\0\0\0\0\x08\x30\0\0\0\0\0\0\0\x01\
\0\0\x04\x04\0\0\0\xc4\x04\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x02\0\0\0\
\x9a\x05\0\0\x32\0\0\0\0\0\0\0\xa1\x05\0\0\x32\0\0\0\x08\0\0\0\xa9\x05\0\0\0\0\
\0\x08\x33\0\0\0\xac\x05\0\0\0\0\0\x08\x34\0\0\0\xb1\x05\0\0\0\0\0\x01\x01\0\0\
\0\x08\0\0\0\0\0\0\0\x02\0\0\x04\x04\0\0\0\xbf\x05\0\0\x36\0\0\0\0\0\0\0\xce\
\x05\0\0\x36\0\0\0\x10\0\0\0\xd3\x05\0\0\0\0\0\x08\x37\0\0\0\xd7\x05\0\0\0\0\0\
\x08\x38\0\0\0\xdd\x05\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\xec\x05\0\0\x01\0\0\
\x04\x04\0\0\0\xce\x05\0\0\x2f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x17\0\0\
\0\x19\0\0\0\x04\0\0\0\x02\x06\0\0\0\0\0\x0e\x3a\0\0\0\x01\0\0\0\x0b\x06\0\0\0\
\0\0\x0e\x12\0\0\0\x01\0\0\0\x13\x06\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x1b\x06\
\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\x29\x06\0\0\0\0\0\x0e\x12\0\0\0\x01\0\0\0\
\x37\x06\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\x43\x06\0\0\0\0\0\x0e\x0a\0\0\0\x01\
\0\0\0\x50\x06\0\0\0\0\0\x0e\x0a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x0a\x44\0\0\0\0\
\0\0\0\0\0\0\x09\x12\0\0\0\x5d\x06\0\0\0\0\0\x0e\x43\0\0\0\x01\0\0\0\x62\x06\0\
\0\0\0\0\x0e\x43\0\0\0\x01\0\0\0\x6c\x06\0\0\0\0\0\x07\0\0\0\0\x31\x01\0\0\0\0\
\0\x07\0\0\0\0\x78\x06\0\0\0\0\0\x07\0\0\0\0\x83\x06\0\0\0\0\0\x07\0\0\0\0\x01\
\x09\0\0\x01\0\0\x0f\x04\0\0\0\x3b\0\0\0\0\0\0\0\x04\0\0\0\x09\x09\0\0\x07\0\0\
\x0f\x28\0\0\0\x3c\0\0\0\0\0\0\0\x04\0\0\0\x3d\0\0\0\x04\0\0\0\x04\0\0\0\x3e\0\
\0\0\x08\0\0\0\x04\0\0\0\x3f\0\0\0\x0c\0\0\0\x04\0\0\0\x40\0\0\0\x10\0\0\0\x08\
\0\0\0\x41\0\0\0\x18\0\0\0\x08\0\0\0\x42\0\0\0\x20\0\0\0\x08\0\0\0\x0e\x09\0\0\
\x02\0\0\x0f\x08\0\0\0\x45\0\0\0\0\0\0\0\x04\0\0\0\x46\0\0\0\x04\0\0\0\x04\0\0\
\0\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x5f\x62\x70\x66\x5f\x6d\x61\x70\0\x6d\
\x65\x74\x61\0\x6d\x61\x70\0\x63\x74\x78\0\x69\x6e\x74\0\x64\x75\x6d\x70\x5f\
\x62\x70\x66\x5f\x6d\x61\x70\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x6d\x65\x74\
\x61\0\x73\x65\x71\0\x73\x65\x73\x73\x69\x6f\x6e\x5f\x69\x64\0\x73\x65\x71\x5f\
\x6e\x75\x6d\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x6d\x61\x70\0\x6f\x70\x73\0\
\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x5f\x6d\x65\x74\x61\0\x73\x65\x63\x75\x72\
\x69\x74\x79\0\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\
\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\
\x72\x69\x65\x73\0\x6d\x61\x70\x5f\x65\x78\x74\x72\x61\0\x6d\x61\x70\x5f\x66\
\x6c\x61\x67\x73\0\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x5f\x6f\x66\x66\0\x74\
\x69\x6d\x65\x72\x5f\x6f\x66\x66\0\x69\x64\0\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\
\x65\0\x62\x74\x66\x5f\x6b\x65\x79\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\
\x66\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\
\x76\x6d\x6c\x69\x6e\x75\x78\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\x65\x5f\
\x69\x64\0\x62\x74\x66\0\x6d\x65\x6d\x63\x67\0\x6e\x61\x6d\x65\0\x62\x79\x70\
\x61\x73\x73\x5f\x73\x70\x65\x63\x5f\x76\x31\0\x66\x72\x6f\x7a\x65\x6e\0\x72\
\x65\x66\x63\x6e\x74\0\x75\x73\x65\x72\x63\x6e\x74\0\x77\x6f\x72\x6b\0\x66\x72\
\x65\x65\x7a\x65\x5f\x6d\x75\x74\x65\x78\0\x77\x72\x69\x74\x65\x63\x6e\x74\0\
\x62\x70\x66\x5f\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\
\x59\x50\x45\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x50\x52\x4f\x47\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\x5f\x41\
\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\
\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\x5f\x54\x52\x41\x43\
\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\
\x50\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x4c\x52\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x4c\x52\x55\x5f\x50\x45\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\x50\x4d\x5f\x54\x52\x49\
\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\x52\x41\x59\
\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x48\x41\x53\x48\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x50\x55\x4d\x41\x50\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x58\x53\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x48\x41\x53\x48\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\
\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x52\x45\x55\x53\x45\x50\x4f\x52\x54\x5f\x53\x4f\x43\x4b\x41\x52\x52\x41\x59\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\
\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x51\x55\x45\x55\x45\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\x5f\x48\
\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\
\x55\x43\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x52\x49\x4e\x47\x42\x55\x46\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x49\x4e\x4f\x44\x45\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\
\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x54\x41\x53\x4b\x5f\x53\x54\x4f\x52\x41\
\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x42\x4c\x4f\x4f\
\x4d\x5f\x46\x49\x4c\x54\x45\x52\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x75\x36\x34\0\x63\x68\x61\x72\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x62\
\x6f\x6f\x6c\0\x5f\x42\x6f\x6f\x6c\0\x61\x74\x6f\x6d\x69\x63\x36\x34\x5f\x74\0\
\x63\x6f\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x77\x6f\x72\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x64\
\x61\x74\x61\0\x65\x6e\x74\x72\x79\0\x66\x75\x6e\x63\0\x61\x74\x6f\x6d\x69\x63\
\x5f\x6c\x6f\x6e\x67\x5f\x74\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\x65\
\x78\x74\0\x70\x72\x65\x76\0\x77\x6f\x72\x6b\x5f\x66\x75\x6e\x63\x5f\x74\0\x6d\
\x75\x74\x65\x78\0\x6f\x77\x6e\x65\x72\0\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\
\x6f\x73\x71\0\x77\x61\x69\x74\x5f\x6c\x69\x73\x74\0\x72\x61\x77\x5f\x73\x70\
\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\
\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\
\x6c\x6f\x63\x6b\x5f\x74\0\x71\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\
\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x6c\x6f\x63\x6b\x65\x64\0\x70\x65\x6e\x64\
\x69\x6e\x67\0\x75\x38\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x63\x68\x61\x72\0\x6c\x6f\x63\x6b\x65\x64\x5f\x70\x65\x6e\x64\x69\x6e\x67\0\
\x74\x61\x69\x6c\0\x75\x31\x36\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x73\x68\x6f\x72\x74\0\x6f\x70\x74\x69\x6d\x69\x73\x74\x69\x63\x5f\
\x73\x70\x69\x6e\x5f\x71\x75\x65\x75\x65\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\
\x6d\x61\x70\x31\x5f\x69\x64\0\x6d\x61\x70\x32\x5f\x69\x64\0\x6d\x61\x70\x31\
\x5f\x61\x63\x63\x65\x73\x73\x65\x64\0\x6d\x61\x70\x32\x5f\x61\x63\x63\x65\x73\
\x73\x65\x64\0\x6d\x61\x70\x31\x5f\x73\x65\x71\x6e\x75\x6d\0\x6d\x61\x70\x32\
\x5f\x73\x65\x71\x6e\x75\x6d\x31\0\x6d\x61\x70\x32\x5f\x73\x65\x71\x6e\x75\x6d\
\x32\0\x72\x65\x74\x31\0\x70\x72\x69\x6e\x74\x5f\x6c\x65\x6e\0\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x6f\x70\x73\0\x6d\x65\x6d\x5f\x63\x67\x72\x6f\x75\x70\0\x73\
\x65\x71\x5f\x66\x69\x6c\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x31\x36\x32\x2e\x32\x32\x2e\x32\x2e\x65\x6c\x39\x5f\x31\
\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x31\x36\x32\x2e\x32\
\x32\x2e\x32\x2e\x65\x6c\x39\x5f\x31\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\
\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\
\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x62\x70\x66\x5f\x69\x74\
\x65\x72\x5f\x74\x65\x73\x74\x5f\x6b\x65\x72\x6e\x34\x2e\x63\0\x09\x73\x74\x72\
\x75\x63\x74\x20\x73\x65\x71\x5f\x66\x69\x6c\x65\x20\x2a\x73\x65\x71\x20\x3d\
\x20\x63\x74\x78\x2d\x3e\x6d\x65\x74\x61\x2d\x3e\x73\x65\x71\x3b\0\x09\x73\x74\
\x72\x75\x63\x74\x20\x62\x70\x66\x5f\x6d\x61\x70\x20\x2a\x6d\x61\x70\x20\x3d\
\x20\x63\x74\x78\x2d\x3e\x6d\x61\x70\x3b\0\x09\x69\x66\x20\x28\x6d\x61\x70\x20\
\x3d\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x30\x29\0\x09\x69\x66\x20\x28\x6d\
\x61\x70\x2d\x3e\x69\x64\x20\x21\x3d\x20\x6d\x61\x70\x31\x5f\x69\x64\x20\x26\
\x26\x20\x6d\x61\x70\x2d\x3e\x69\x64\x20\x21\x3d\x20\x6d\x61\x70\x32\x5f\x69\
\x64\x29\0\x09\x73\x65\x71\x5f\x6e\x75\x6d\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6d\
\x65\x74\x61\x2d\x3e\x73\x65\x71\x5f\x6e\x75\x6d\x3b\0\x09\x69\x66\x20\x28\x6d\
\x61\x70\x2d\x3e\x69\x64\x20\x3d\x3d\x20\x6d\x61\x70\x31\x5f\x69\x64\x29\x20\
\x7b\0\x09\x09\x6d\x61\x70\x31\x5f\x73\x65\x71\x6e\x75\x6d\x20\x3d\x20\x73\x65\
\x71\x5f\x6e\x75\x6d\x3b\0\x09\x09\x6d\x61\x70\x31\x5f\x61\x63\x63\x65\x73\x73\
\x65\x64\x2b\x2b\x3b\0\x09\x69\x66\x20\x28\x6d\x61\x70\x2d\x3e\x69\x64\x20\x3d\
\x3d\x20\x6d\x61\x70\x32\x5f\x69\x64\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x6d\
\x61\x70\x32\x5f\x61\x63\x63\x65\x73\x73\x65\x64\x20\x3d\x3d\x20\x30\x29\x20\
\x7b\0\x09\x09\x09\x6d\x61\x70\x32\x5f\x73\x65\x71\x6e\x75\x6d\x31\x20\x3d\x20\
\x73\x65\x71\x5f\x6e\x75\x6d\x3b\0\x09\x09\x09\x69\x66\x20\x28\x72\x65\x74\x31\
\x29\0\x09\x09\x09\x6d\x61\x70\x32\x5f\x73\x65\x71\x6e\x75\x6d\x32\x20\x3d\x20\
\x73\x65\x71\x5f\x6e\x75\x6d\x3b\0\x09\x09\x6d\x61\x70\x32\x5f\x61\x63\x63\x65\
\x73\x73\x65\x64\x2b\x2b\x3b\0\x09\x66\x6f\x72\x20\x28\x69\x20\x3d\x20\x30\x3b\
\x20\x69\x20\x3c\x20\x70\x72\x69\x6e\x74\x5f\x6c\x65\x6e\x3b\x20\x69\x2b\x2b\
\x29\0\x09\x09\x62\x70\x66\x5f\x73\x65\x71\x5f\x77\x72\x69\x74\x65\x28\x73\x65\
\x71\x2c\x20\x26\x73\x65\x71\x5f\x6e\x75\x6d\x2c\x20\x73\x69\x7a\x65\x6f\x66\
\x28\x73\x65\x71\x5f\x6e\x75\x6d\x29\x29\x3b\0\x7d\0\x30\x3a\x30\0\x30\x3a\x31\
\0\x30\x3a\x31\x31\0\x30\x3a\x32\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\
\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x69\x74\x65\x72\x2f\x62\x70\x66\x5f\x6d\
\x61\x70\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x3c\
\x02\0\0\x50\x02\0\0\x9c\0\0\0\x08\0\0\0\x16\x09\0\0\x01\0\0\0\0\0\0\0\x07\0\0\
\0\x10\0\0\0\x16\x09\0\0\x23\0\0\0\0\0\0\0\x8c\x06\0\0\x1a\x07\0\0\x1e\x48\0\0\
\x10\0\0\0\x8c\x06\0\0\x1a\x07\0\0\x24\x48\0\0\x18\0\0\0\x8c\x06\0\0\x42\x07\0\
\0\x1d\x4c\0\0\x20\0\0\0\x8c\x06\0\0\x63\x07\0\0\x06\x5c\0\0\x28\0\0\0\x8c\x06\
\0\0\x7a\x07\0\0\x0b\x6c\0\0\x30\0\0\0\x8c\x06\0\0\x7a\x07\0\0\x11\x6c\0\0\x48\
\0\0\0\x8c\x06\0\0\x7a\x07\0\0\x19\x6c\0\0\x50\0\0\0\x8c\x06\0\0\x7a\x07\0\0\
\x27\x6c\0\0\x68\0\0\0\x8c\x06\0\0\x7a\x07\0\0\x21\x6c\0\0\x70\0\0\0\x8c\x06\0\
\0\x7a\x07\0\0\x06\x6c\0\0\x78\0\0\0\x8c\x06\0\0\xa9\x07\0\0\x11\x78\0\0\x80\0\
\0\0\x8c\x06\0\0\xa9\x07\0\0\x17\x78\0\0\x88\0\0\0\x8c\x06\0\0\xa9\x07\0\0\x0a\
\x78\0\0\x90\0\0\0\x8c\x06\0\0\xc8\x07\0\0\x0b\x7c\0\0\x98\0\0\0\x8c\x06\0\0\
\xc8\x07\0\0\x06\x7c\0\0\xa0\0\0\0\x8c\x06\0\0\xe3\x07\0\0\x0f\x80\0\0\xb8\0\0\
\0\x8c\x06\0\0\xfc\x07\0\0\x10\x84\0\0\xe8\0\0\0\x8c\x06\0\0\x0f\x08\0\0\x11\
\x90\0\0\0\x01\0\0\x8c\x06\0\0\x0f\x08\0\0\x0b\x90\0\0\x08\x01\0\0\x8c\x06\0\0\
\x0f\x08\0\0\x06\x90\0\0\x10\x01\0\0\x8c\x06\0\0\x2a\x08\0\0\x07\x94\0\0\x28\
\x01\0\0\x8c\x06\0\0\x2a\x08\0\0\x07\x94\0\0\x30\x01\0\0\x8c\x06\0\0\x46\x08\0\
\0\x11\x98\0\0\x50\x01\0\0\x8c\x06\0\0\x61\x08\0\0\x08\x9c\0\0\x68\x01\0\0\x8c\
\x06\0\0\x61\x08\0\0\x08\x9c\0\0\x80\x01\0\0\x8c\x06\0\0\x6e\x08\0\0\x11\xa8\0\
\0\xa0\x01\0\0\x8c\x06\0\0\x89\x08\0\0\x10\xb0\0\0\xc0\x01\0\0\x8c\x06\0\0\x9c\
\x08\0\0\x12\xc0\0\0\xd8\x01\0\0\x8c\x06\0\0\x9c\x08\0\0\x02\xc0\0\0\xf0\x01\0\
\0\x8c\x06\0\0\0\0\0\0\0\0\0\0\xf8\x01\0\0\x8c\x06\0\0\xbd\x08\0\0\x03\xc4\0\0\
\x10\x02\0\0\x8c\x06\0\0\x9c\x08\0\0\x12\xc0\0\0\x18\x02\0\0\x8c\x06\0\0\x9c\
\x08\0\0\x1e\xc0\0\0\x38\x02\0\0\x8c\x06\0\0\x9c\x08\0\0\x02\xc0\0\0\x40\x02\0\
\0\x8c\x06\0\0\xee\x08\0\0\x01\xd0\0\0\x10\0\0\0\x16\x09\0\0\x09\0\0\0\0\0\0\0\
\x02\0\0\0\xf0\x08\0\0\0\0\0\0\x10\0\0\0\x08\0\0\0\xf0\x08\0\0\0\0\0\0\x18\0\0\
\0\x02\0\0\0\xf4\x08\0\0\0\0\0\0\x28\0\0\0\x0c\0\0\0\xf8\x08\0\0\0\0\0\0\x68\0\
\0\0\x0c\0\0\0\xf8\x08\0\0\0\0\0\0\x78\0\0\0\x02\0\0\0\xf0\x08\0\0\0\0\0\0\x80\
\0\0\0\x08\0\0\0\xfd\x08\0\0\0\0\0\0\x90\0\0\0\x0c\0\0\0\xf8\x08\0\0\0\0\0\0\0\
\x01\0\0\x0c\0\0\0\xf8\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\x14\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\x01\0\0\0\0\0\0\
\xf8\x01\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x50\x03\0\0\0\0\0\0\x50\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x01\0\
\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x05\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x26\0\0\0\x08\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x05\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa8\x05\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xf5\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\
\x05\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\
\0\0\0\0\0\0\x06\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x06\0\0\
\0\0\0\0\x2b\x11\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x0b\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x17\0\0\0\0\0\0\x0c\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#endif /* __BPF_ITER_TEST_KERN4_SKEL_H__ */
