/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_KSYMS_WEAK_LSKEL_SKEL_H__
#define __TEST_KSYMS_WEAK_LSKEL_SKEL_H__

#include <stdlib.h>
#include <bpf/bpf.h>
#include <bpf/skel_internal.h>

struct test_ksyms_weak_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc data;
	} maps;
	struct {
		struct bpf_prog_desc pass_handler;
	} progs;
	struct {
		int pass_handler_fd;
	} links;
	struct test_ksyms_weak_lskel__data {
		int out__existing_typed;
		char __pad0[4];
		__u64 out__existing_typeless;
		__u64 out__non_existent_typeless;
		__u64 out__non_existent_typed;
	} *data;
};

static inline int
test_ksyms_weak_lskel__pass_handler__attach(struct test_ksyms_weak_lskel *skel)
{
	int prog_fd = skel->progs.pass_handler.prog_fd;
	int fd = bpf_raw_tracepoint_open("sys_enter", prog_fd);

	if (fd > 0)
		skel->links.pass_handler_fd = fd;
	return fd;
}

static inline int
test_ksyms_weak_lskel__attach(struct test_ksyms_weak_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : test_ksyms_weak_lskel__pass_handler__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
test_ksyms_weak_lskel__detach(struct test_ksyms_weak_lskel *skel)
{
	skel_closenz(skel->links.pass_handler_fd);
}
static void
test_ksyms_weak_lskel__destroy(struct test_ksyms_weak_lskel *skel)
{
	if (!skel)
		return;
	test_ksyms_weak_lskel__detach(skel);
	skel_closenz(skel->progs.pass_handler.prog_fd);
	munmap(skel->data, 4096);
	skel_closenz(skel->maps.data.map_fd);
	free(skel);
}
static inline struct test_ksyms_weak_lskel *
test_ksyms_weak_lskel__open(void)
{
	struct test_ksyms_weak_lskel *skel;

	skel = calloc(sizeof(*skel), 1);
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	skel->data =
		mmap(NULL, 4096, PROT_READ | PROT_WRITE,
		     MAP_SHARED | MAP_ANONYMOUS, -1, 0);
	if (skel->data == (void *) -1)
		goto cleanup;
	memcpy(skel->data, (void *)"\
\xff\xff\xff\xff\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff", 32);
	skel->maps.data.initial_value = (__u64)(long)skel->data;
	return skel;
cleanup:
	test_ksyms_weak_lskel__destroy(skel);
	return NULL;
}

static inline int
test_ksyms_weak_lskel__load(struct test_ksyms_weak_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = 10352;
	opts.data = (void *)"\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\
\x18\0\0\0\0\0\0\0\x74\x11\0\0\x74\x11\0\0\xa9\x0e\0\0\0\0\0\0\0\0\0\x02\x02\0\
\0\0\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\x01\0\0\x0d\x04\0\0\0\x01\0\0\0\x01\0\0\
\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\x09\0\0\0\x01\0\0\x0c\x03\0\0\0\
\x16\0\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\x2a\0\0\0\0\0\0\x08\x08\0\0\0\x30\0\0\
\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\x43\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\x5a\0\
\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\x75\0\0\0\0\0\0\x0e\x07\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\x0a\x0d\0\0\0\x8d\0\0\0\x5b\0\0\x04\x40\x0e\0\0\x90\0\0\0\x0e\0\0\0\
\0\0\0\0\x97\0\0\0\x1d\0\0\0\x20\0\0\0\xa2\0\0\0\x1d\0\0\0\x40\0\0\0\xb2\0\0\0\
\x1d\0\0\0\x60\0\0\0\xc7\0\0\0\x1d\0\0\0\x80\0\0\0\xd7\0\0\0\x1e\0\0\0\xc0\0\0\
\0\xf5\0\0\0\x1d\0\0\0\0\x01\0\0\x06\x01\0\0\x1f\0\0\0\0\x02\0\0\x0f\x01\0\0\
\x1d\0\0\0\0\x03\0\0\x21\x01\0\0\x13\0\0\0\x20\x03\0\0\x2c\x01\0\0\x1d\0\0\0\
\x40\x03\0\0\x39\x01\0\0\x29\0\0\0\x80\x03\0\0\x45\x01\0\0\x2a\0\0\0\0\x04\0\0\
\x49\x01\0\0\x3d\0\0\0\0\x14\0\0\x4c\x01\0\0\x44\0\0\0\x80\x49\0\0\x4f\x01\0\0\
\x37\0\0\0\0\x4d\0\0\x60\x01\0\0\x38\0\0\0\x80\x4d\0\0\x71\x01\0\0\x1d\0\0\0\
\xc0\x4d\0\0\x84\x01\0\0\x46\0\0\0\0\x4e\0\0\x89\x01\0\0\x46\0\0\0\x40\x4e\0\0\
\x8e\x01\0\0\x46\0\0\0\x80\x4e\0\0\x93\x01\0\0\x1e\0\0\0\xc0\x4e\0\0\xa0\x01\0\
\0\x47\0\0\0\0\x4f\0\0\xa8\x01\0\0\x1d\0\0\0\x40\x4f\0\0\xbb\x01\0\0\x29\0\0\0\
\x80\x4f\0\0\xc1\x01\0\0\x29\0\0\0\0\x50\0\0\xcc\x01\0\0\x29\0\0\0\x40\x50\0\0\
\xd7\x01\0\0\x1e\0\0\0\x80\x50\0\0\xe6\x01\0\0\x13\0\0\0\xc0\x50\0\0\xf0\x01\0\
\0\x29\0\0\0\0\x51\0\0\x0a\x02\0\0\x04\0\0\0\x40\x51\0\0\x20\x02\0\0\x04\0\0\0\
\x60\x51\0\0\x31\x02\0\0\x48\0\0\0\x80\x51\0\0\x34\x02\0\0\x49\0\0\0\xc0\x51\0\
\0\x37\x02\0\0\x1e\0\0\0\0\x52\0\0\x44\x02\0\0\x1e\0\0\0\x40\x52\0\0\x56\x02\0\
\0\x4a\0\0\0\x80\x52\0\0\x67\x02\0\0\x18\0\0\0\xc0\x52\0\0\x79\x02\0\0\x18\0\0\
\0\xc8\x52\0\0\x86\x02\0\0\x1e\0\0\0\0\x53\0\0\x97\x02\0\0\x04\0\0\0\x40\x53\0\
\0\xa6\x02\0\0\x04\0\0\0\x60\x53\0\0\xaf\x02\0\0\x4b\0\0\0\x80\x53\0\0\xc3\x02\
\0\0\x04\0\0\0\0\x55\0\0\xc7\x02\0\0\x04\0\0\0\x20\x55\0\0\xce\x02\0\0\x37\0\0\
\0\x40\x55\0\0\xd8\x02\0\0\x32\0\0\0\0\x56\0\0\xdf\x02\0\0\x32\0\0\0\0\x5a\0\0\
\xe6\x02\0\0\x32\0\0\0\0\x5e\0\0\xee\x02\0\0\x29\0\0\0\0\x62\0\0\xf9\x02\0\0\
\x29\0\0\0\x40\x62\0\0\x02\x03\0\0\x1e\0\0\0\x80\x62\0\0\x0d\x03\0\0\x29\0\0\0\
\xc0\x62\0\0\x1b\x03\0\0\x29\0\0\0\0\x63\0\0\x31\x03\0\0\x50\0\0\0\x40\x63\0\0\
\x3e\x03\0\0\x29\0\0\0\x80\x63\0\0\x4c\x03\0\0\x29\0\0\0\xc0\x63\0\0\x5c\x03\0\
\0\x29\0\0\0\0\x64\0\0\x6f\x03\0\0\x1e\0\0\0\x40\x64\0\0\x80\x03\0\0\x35\0\0\0\
\x80\x64\0\0\x91\x03\0\0\x1f\0\0\0\0\x65\0\0\x9c\x03\0\0\x51\0\0\0\0\x66\0\0\
\xa9\x03\0\0\x54\0\0\0\x80\x68\0\0\xb5\x03\0\0\x5a\0\0\0\xc0\x68\0\0\xc3\x03\0\
\0\x08\0\0\0\xc0\x69\0\0\xcf\x03\0\0\x1d\0\0\0\0\x6a\0\0\xd9\x03\0\0\x1d\0\0\0\
\x20\x6a\0\0\xe5\x03\0\0\x1d\0\0\0\x40\x6a\0\0\xf2\x03\0\0\x1d\0\0\0\x60\x6a\0\
\0\xfd\x03\0\0\x1d\0\0\0\x80\x6a\0\0\x08\x04\0\0\x5b\0\0\0\xc0\x6a\0\0\x13\x04\
\0\0\x1d\0\0\0\0\x6b\0\0\x1d\x04\0\0\x1d\0\0\0\x20\x6b\0\0\x27\x04\0\0\x4b\0\0\
\0\x40\x6b\0\0\x31\x04\0\0\x36\0\0\0\xc0\x6c\0\0\x36\x04\0\0\x46\0\0\0\0\x6d\0\
\0\x40\x04\0\0\x1d\0\0\0\x40\x6d\0\0\x4d\x04\0\0\x1d\0\0\0\x60\x6d\0\0\x5c\x04\
\0\0\x2f\0\0\0\x80\x6d\0\0\x66\x04\0\0\x1d\0\0\0\xc0\x6d\0\0\x74\x04\0\0\x1d\0\
\0\0\xe0\x6d\0\0\x82\x04\0\0\x1e\0\0\0\0\x6e\0\0\x8e\x04\0\0\x1d\0\0\0\x40\x6e\
\0\0\xa3\x04\0\0\x1d\0\0\0\x60\x6e\0\0\xb6\x04\0\0\x1d\0\0\0\x80\x6e\0\0\xd0\
\x04\0\0\x29\0\0\0\xc0\x6e\0\0\xe5\x04\0\0\x5c\0\0\0\0\x6f\0\0\xf2\x04\0\0\x1e\
\0\0\0\x40\x6f\0\0\xff\x04\0\0\x1e\0\0\0\x80\x6f\0\0\x0c\x05\0\0\x1e\0\0\0\xc0\
\x6f\0\0\x19\x05\0\0\x1e\0\0\0\0\x70\0\0\x26\x05\0\0\0\0\0\x08\x0f\0\0\0\x35\
\x05\0\0\x01\0\0\x04\x04\0\0\0\x42\x05\0\0\x10\0\0\0\0\0\0\0\x4b\x05\0\0\0\0\0\
\x08\x11\0\0\0\x5b\x05\0\0\x01\0\0\x04\x04\0\0\0\0\0\0\0\x12\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x05\x04\0\0\0\x65\x05\0\0\x13\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\0\0\
\0\0\0\0\0\0\x19\0\0\0\0\0\0\0\x69\x05\0\0\0\0\0\x08\x14\0\0\0\0\0\0\0\x01\0\0\
\x04\x04\0\0\0\x72\x05\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\x04\x02\0\0\0\x7a\
\x05\0\0\x16\0\0\0\0\0\0\0\x81\x05\0\0\x16\0\0\0\x08\0\0\0\x89\x05\0\0\0\0\0\
\x08\x17\0\0\0\x8c\x05\0\0\0\0\0\x08\x18\0\0\0\x91\x05\0\0\0\0\0\x01\x01\0\0\0\
\x08\0\0\0\0\0\0\0\x02\0\0\x04\x04\0\0\0\x9f\x05\0\0\x1a\0\0\0\0\0\0\0\xae\x05\
\0\0\x1a\0\0\0\x10\0\0\0\xb3\x05\0\0\0\0\0\x08\x1b\0\0\0\xb7\x05\0\0\0\0\0\x08\
\x1c\0\0\0\xbd\x05\0\0\0\0\0\x01\x02\0\0\0\x10\0\0\0\xcc\x05\0\0\0\0\0\x01\x04\
\0\0\0\x20\0\0\0\xd9\x05\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\xe7\x05\0\0\0\0\0\
\x08\x20\0\0\0\xfa\x05\0\0\x03\0\0\x04\x20\0\0\0\x0d\x06\0\0\x21\0\0\0\0\0\0\0\
\x12\x06\0\0\x25\0\0\0\x80\0\0\0\x17\x06\0\0\x28\0\0\0\xc0\0\0\0\x1c\x06\0\0\
\x04\0\0\x04\x10\0\0\0\x2f\x06\0\0\x22\0\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x40\0\0\
\0\x35\x06\0\0\x1a\0\0\0\x60\0\0\0\x39\x06\0\0\x1a\0\0\0\x70\0\0\0\x3d\x06\0\0\
\x01\0\0\x04\x08\0\0\0\x48\x06\0\0\x23\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x22\0\0\
\0\0\0\0\0\x02\0\0\x05\x04\0\0\0\x4d\x06\0\0\x1d\0\0\0\0\0\0\0\x55\x06\0\0\x13\
\0\0\0\0\0\0\0\x5d\x06\0\0\0\0\0\x08\x26\0\0\0\0\0\0\0\0\0\0\x02\x27\0\0\0\0\0\
\0\0\x01\0\0\x0d\0\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\x6d\x06\0\
\0\0\0\0\x08\x07\0\0\0\x71\x06\0\0\x28\0\0\x04\0\x02\0\0\x78\x06\0\0\x2b\0\0\0\
\0\0\0\0\x97\0\0\0\x1d\0\0\0\x80\0\0\0\x7d\x06\0\0\x1d\0\0\0\xa0\0\0\0\x8a\x06\
\0\0\x1d\0\0\0\xc0\0\0\0\x9a\x06\0\0\x1d\0\0\0\xe0\0\0\0\xac\x06\0\0\x29\0\0\0\
\0\x01\0\0\xb7\x06\0\0\x29\0\0\0\x40\x01\0\0\xc4\x06\0\0\x1d\0\0\0\x80\x01\0\0\
\xd2\x06\0\0\x29\0\0\0\xc0\x01\0\0\xe2\x06\0\0\x2e\0\0\0\0\x02\0\0\x84\x01\0\0\
\x31\0\0\0\x80\x02\0\0\x48\x06\0\0\x31\0\0\0\xc0\x02\0\0\xf1\x06\0\0\x31\0\0\0\
\0\x03\0\0\xf6\x06\0\0\x31\0\0\0\x40\x03\0\0\xfb\x06\0\0\x1d\0\0\0\x80\x03\0\0\
\x0a\x07\0\0\x32\0\0\0\0\x04\0\0\x0e\x07\0\0\x34\0\0\0\0\x08\0\0\x16\x07\0\0\
\x1e\0\0\0\0\x0a\0\0\x2a\x07\0\0\x35\0\0\0\x40\x0a\0\0\x34\x07\0\0\x35\0\0\0\
\x80\x0a\0\0\x46\x07\0\0\x1e\0\0\0\xc0\x0a\0\0\x4d\x07\0\0\x29\0\0\0\0\x0b\0\0\
\x60\x07\0\0\x31\0\0\0\x40\x0b\0\0\x8d\0\0\0\x36\0\0\0\x80\x0b\0\0\x6c\x07\0\0\
\x04\0\0\0\xc0\x0b\0\0\x4f\x01\0\0\x37\0\0\0\0\x0c\0\0\x74\x07\0\0\x39\0\0\0\
\x80\x0c\0\0\x89\x01\0\0\x04\0\0\0\xc0\x0c\0\0\x77\x07\0\0\x04\0\0\0\xe0\x0c\0\
\0\x87\x07\0\0\x3a\0\0\0\0\x0d\0\0\x99\x07\0\0\x29\0\0\0\x40\x0d\0\0\xa9\x07\0\
\0\x29\0\0\0\x80\x0d\0\0\xbe\x07\0\0\x29\0\0\0\xc0\x0d\0\0\xd8\x07\0\0\x04\0\0\
\0\0\x0e\0\0\xe2\x07\0\0\x04\0\0\0\x20\x0e\0\0\xf1\x07\0\0\x37\0\0\0\x40\x0e\0\
\0\xf2\x04\0\0\x1e\0\0\0\xc0\x0e\0\0\xff\x04\0\0\x1e\0\0\0\0\x0f\0\0\x0c\x05\0\
\0\x1e\0\0\0\x40\x0f\0\0\x19\x05\0\0\x1e\0\0\0\x80\x0f\0\0\0\x08\0\0\x02\0\0\
\x04\x10\0\0\0\x0c\x08\0\0\x1e\0\0\0\0\0\0\0\x13\x08\0\0\x2c\0\0\0\x40\0\0\0\
\x1e\x08\0\0\0\0\0\x08\x2d\0\0\0\x22\x08\0\0\0\0\0\x08\x1d\0\0\0\x28\x08\0\0\
\x02\0\0\x04\x10\0\0\0\x37\x08\0\0\x2f\0\0\0\0\0\0\0\x3f\x08\0\0\x30\0\0\0\x40\
\0\0\0\x37\x08\0\0\x01\0\0\x04\x08\0\0\0\x4b\x08\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x02\x53\0\0\0\0\0\0\0\0\0\0\x02\x6e\0\0\0\x53\x08\0\0\x0b\0\0\x04\x80\0\
\0\0\x5d\x08\0\0\x29\0\0\0\0\0\0\0\x6e\x08\0\0\x29\0\0\0\x40\0\0\0\x77\x08\0\0\
\x29\0\0\0\x80\0\0\0\x84\x08\0\0\x2c\0\0\0\xc0\0\0\0\x8d\x08\0\0\x2c\0\0\0\xe0\
\0\0\0\x9c\x08\0\0\x1e\0\0\0\0\x01\0\0\xa5\x08\0\0\x1e\0\0\0\x40\x01\0\0\xb2\
\x08\0\0\x1e\0\0\0\x80\x01\0\0\xbb\x08\0\0\x33\0\0\0\xc0\x01\0\0\xf2\x04\0\0\
\x1e\0\0\0\0\x02\0\0\xff\x04\0\0\x1e\0\0\0\x40\x02\0\0\xbb\x08\0\0\x02\0\0\x04\
\x08\0\0\0\xc4\x08\0\0\x1d\0\0\0\0\0\0\0\xcd\x08\0\0\x1d\0\0\0\x20\0\0\0\0\0\0\
\0\x05\0\0\x04\x40\0\0\0\xd2\x08\0\0\x0e\0\0\0\0\0\0\0\xd7\x08\0\0\x04\0\0\0\
\x20\0\0\0\x9c\x08\0\0\x1e\0\0\0\x40\0\0\0\xb2\x08\0\0\x1e\0\0\0\x80\0\0\0\xa5\
\x08\0\0\x1e\0\0\0\xc0\0\0\0\xda\x08\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\0\0\0\
\0\0\0\0\x02\x0d\0\0\0\xdf\x08\0\0\x02\0\0\x04\x10\0\0\0\x48\x06\0\0\x38\0\0\0\
\0\0\0\0\xe9\x08\0\0\x38\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x37\0\0\0\0\0\0\0\0\
\0\0\x02\x6f\0\0\0\xee\x08\0\0\0\0\0\x08\x3b\0\0\0\xf2\x08\0\0\0\0\0\x08\x3c\0\
\0\0\xf8\x08\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\x01\x02\x09\0\0\x0f\0\0\x04\xb0\
\x06\0\0\x08\x09\0\0\x3e\0\0\0\0\0\0\0\x0f\x09\0\0\x1d\0\0\0\x80\x32\0\0\x1d\
\x09\0\0\x1d\0\0\0\xa0\x32\0\0\x2b\x09\0\0\x42\0\0\0\xc0\x32\0\0\x38\x09\0\0\
\x1d\0\0\0\0\x33\0\0\x48\x09\0\0\x1d\0\0\0\x20\x33\0\0\x54\x09\0\0\x04\0\0\0\
\x40\x33\0\0\x5f\x09\0\0\x43\0\0\0\x80\x33\0\0\x6e\x09\0\0\x04\0\0\0\0\x34\0\0\
\x78\x09\0\0\x04\0\0\0\x20\x34\0\0\x85\x09\0\0\x29\0\0\0\x40\x34\0\0\x8d\x09\0\
\0\x29\0\0\0\x80\x34\0\0\x98\x09\0\0\x0e\0\0\0\xc0\x34\0\0\xf2\x04\0\0\x1e\0\0\
\0\0\x35\0\0\xff\x04\0\0\x1e\0\0\0\x40\x35\0\0\xa8\x09\0\0\x02\0\0\x04\x50\x06\
\0\0\xb6\x09\0\0\x3f\0\0\0\0\0\0\0\xbd\x09\0\0\x41\0\0\0\x80\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\0\0\x1e\0\0\0\x40\0\0\0\x02\0\0\0\xc3\x09\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x37\0\0\0\x40\0\0\0\x64\0\0\0\0\0\0\0\x02\
\0\0\x04\x08\0\0\0\x84\x01\0\0\x04\0\0\0\0\0\0\0\x48\x06\0\0\x04\0\0\0\x20\0\0\
\0\xd7\x09\0\0\x01\0\0\x04\x10\0\0\0\xe2\x09\0\0\x37\0\0\0\0\0\0\0\xec\x09\0\0\
\x0c\0\0\x04\x70\0\0\0\xf2\x09\0\0\x2e\0\0\0\0\0\0\0\xf7\x09\0\0\x1d\0\0\0\x80\
\0\0\0\x05\x0a\0\0\x45\0\0\0\xc0\0\0\0\x11\x0a\0\0\x1d\0\0\0\x40\x01\0\0\x54\
\x09\0\0\x04\0\0\0\x60\x01\0\0\x21\x0a\0\0\x2e\0\0\0\x80\x01\0\0\x38\x0a\0\0\
\x29\0\0\0\0\x02\0\0\x43\x0a\0\0\x29\0\0\0\x40\x02\0\0\x4b\x0a\0\0\x29\0\0\0\
\x80\x02\0\0\x54\x0a\0\0\x29\0\0\0\xc0\x02\0\0\xf2\x04\0\0\x1e\0\0\0\0\x03\0\0\
\xff\x04\0\0\x1e\0\0\0\x40\x03\0\0\0\0\0\0\x02\0\0\x04\x10\0\0\0\x84\x01\0\0\
\x29\0\0\0\0\0\0\0\x48\x06\0\0\x29\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x02\x70\0\0\0\
\0\0\0\0\0\0\0\x02\x6b\0\0\0\0\0\0\0\0\0\0\x02\x6c\0\0\0\0\0\0\0\0\0\0\x02\x6d\
\0\0\0\0\0\0\0\0\0\0\x02\x66\0\0\0\x5d\x0a\0\0\x05\0\0\x04\x30\0\0\0\x6b\x0a\0\
\0\x37\0\0\0\0\0\0\0\x70\x0a\0\0\x4c\0\0\0\x80\0\0\0\x73\x0a\0\0\x1e\0\0\0\xc0\
\0\0\0\x7a\x0a\0\0\x28\0\0\0\0\x01\0\0\x7e\x0a\0\0\x4f\0\0\0\x40\x01\0\0\x83\
\x0a\0\0\0\0\0\x08\x4d\0\0\0\0\0\0\0\0\0\0\x02\x4e\0\0\0\0\0\0\0\x01\0\0\x0d\
\x04\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\x02\x67\0\0\0\x91\x0a\0\0\x01\0\0\
\x04\x08\0\0\0\x99\x0a\0\0\x46\0\0\0\0\0\0\0\x9e\x0a\0\0\x0a\0\0\x04\x50\0\0\0\
\x0d\x06\0\0\x52\0\0\0\0\0\0\0\xa6\x0a\0\0\x54\0\0\0\0\x01\0\0\xb3\x0a\0\0\x55\
\0\0\0\x40\x01\0\0\xbc\x0a\0\0\x59\0\0\0\x80\x01\0\0\xc1\x0a\0\0\x16\0\0\0\xc0\
\x01\0\0\xc7\x0a\0\0\x16\0\0\0\xc8\x01\0\0\xce\x0a\0\0\x16\0\0\0\xd0\x01\0\0\
\xd6\x0a\0\0\x16\0\0\0\xd8\x01\0\0\xf2\x04\0\0\x1e\0\0\0\0\x02\0\0\xff\x04\0\0\
\x1e\0\0\0\x40\x02\0\0\xde\x0a\0\0\x02\0\0\x04\x20\0\0\0\x0d\x06\0\0\x53\0\0\0\
\0\0\0\0\xee\x0a\0\0\x54\0\0\0\xc0\0\0\0\x4b\x08\0\0\x03\0\0\x04\x18\0\0\0\xf6\
\x0a\0\0\x1e\0\0\0\0\0\0\0\x08\x0b\0\0\x30\0\0\0\x40\0\0\0\x11\x0b\0\0\x30\0\0\
\0\x80\0\0\0\x19\x0b\0\0\0\0\0\x08\x3a\0\0\0\0\0\0\0\0\0\0\x02\x56\0\0\0\0\0\0\
\0\x01\0\0\x0d\x57\0\0\0\0\0\0\0\x58\0\0\0\x21\x0b\0\0\x02\0\0\x06\x04\0\0\0\
\x31\x0b\0\0\0\0\0\0\x43\x0b\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x51\0\0\0\0\0\0\0\
\0\0\0\x02\x6a\0\0\0\x53\x0b\0\0\x04\0\0\x04\x20\0\0\0\x5e\x0b\0\0\x1e\0\0\0\0\
\0\0\0\x65\x0b\0\0\x08\0\0\0\x40\0\0\0\x6f\x0b\0\0\x08\0\0\0\x80\0\0\0\x7c\x0b\
\0\0\x08\0\0\0\xc0\0\0\0\0\0\0\0\0\0\0\x02\x68\0\0\0\x88\x0b\0\0\0\0\0\x08\x5d\
\0\0\0\0\0\0\0\0\0\0\x02\x69\0\0\0\x96\x0b\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\
\xa0\x0b\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\xb0\x0b\0\0\0\0\0\x0e\x04\0\0\0\x01\
\0\0\0\0\0\0\0\0\0\0\x0a\x04\0\0\0\xbf\x0b\0\0\0\0\0\x0e\x04\0\0\0\x01\0\0\0\
\xce\x0b\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x63\0\0\
\0\x40\0\0\0\x04\0\0\0\xd3\x0b\0\0\0\0\0\x0e\x64\0\0\0\x01\0\0\0\xdc\x0b\0\0\0\
\0\0\x07\0\0\0\0\xea\x0b\0\0\0\0\0\x07\0\0\0\0\xf8\x0b\0\0\0\0\0\x07\0\0\0\0\
\x06\x0c\0\0\0\0\0\x07\0\0\0\0\x0e\x0c\0\0\0\0\0\x07\0\0\0\0\x21\x0c\0\0\0\0\0\
\x07\0\0\0\0\x2b\x0c\0\0\0\0\0\x07\0\0\0\0\x37\x0c\0\0\0\0\0\x07\0\0\0\0\x44\
\x0c\0\0\0\0\0\x07\0\0\0\0\x51\x0c\0\0\0\0\0\x07\0\0\0\0\x5c\x0c\0\0\0\0\0\x07\
\0\0\0\0\x83\x0e\0\0\x04\0\0\x0f\x20\0\0\0\x06\0\0\0\0\0\0\0\x04\0\0\0\x09\0\0\
\0\x08\0\0\0\x08\0\0\0\x0a\0\0\0\x10\0\0\0\x08\0\0\0\x0b\0\0\0\x18\0\0\0\x08\0\
\0\0\x89\x0e\0\0\x01\0\0\x0f\x04\0\0\0\x65\0\0\0\0\0\0\0\x04\0\0\0\x91\x0e\0\0\
\x04\0\0\x0f\x10\0\0\0\x5e\0\0\0\0\0\0\0\x04\0\0\0\x5f\0\0\0\x04\0\0\0\x04\0\0\
\0\x60\0\0\0\x08\0\0\0\x04\0\0\0\x62\0\0\0\x0c\0\0\0\x04\0\0\0\0\x63\x74\x78\0\
\x69\x6e\x74\0\x70\x61\x73\x73\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\x6f\x75\x74\
\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\x67\x5f\x74\x79\x70\x65\x64\0\x5f\x5f\x75\
\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\x67\x5f\x74\x79\x70\x65\
\x6c\x65\x73\x73\0\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\
\x6e\x74\x5f\x74\x79\x70\x65\x6c\x65\x73\x73\0\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\
\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x74\x79\x70\x65\x64\0\x72\x71\0\x5f\
\x5f\x6c\x6f\x63\x6b\0\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x6e\x72\x5f\
\x6e\x75\x6d\x61\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x6e\x72\x5f\x70\x72\x65\x66\
\x65\x72\x72\x65\x64\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x6e\x75\x6d\x61\x5f\x6d\
\x69\x67\x72\x61\x74\x65\x5f\x6f\x6e\0\x6c\x61\x73\x74\x5f\x62\x6c\x6f\x63\x6b\
\x65\x64\x5f\x6c\x6f\x61\x64\x5f\x75\x70\x64\x61\x74\x65\x5f\x74\x69\x63\x6b\0\
\x68\x61\x73\x5f\x62\x6c\x6f\x63\x6b\x65\x64\x5f\x6c\x6f\x61\x64\0\x6e\x6f\x68\
\x7a\x5f\x63\x73\x64\0\x6e\x6f\x68\x7a\x5f\x74\x69\x63\x6b\x5f\x73\x74\x6f\x70\
\x70\x65\x64\0\x6e\x6f\x68\x7a\x5f\x66\x6c\x61\x67\x73\0\x74\x74\x77\x75\x5f\
\x70\x65\x6e\x64\x69\x6e\x67\0\x6e\x72\x5f\x73\x77\x69\x74\x63\x68\x65\x73\0\
\x63\x66\x73\0\x72\x74\0\x64\x6c\0\x6c\x65\x61\x66\x5f\x63\x66\x73\x5f\x72\x71\
\x5f\x6c\x69\x73\x74\0\x74\x6d\x70\x5f\x61\x6c\x6f\x6e\x65\x5f\x62\x72\x61\x6e\
\x63\x68\0\x6e\x72\x5f\x75\x6e\x69\x6e\x74\x65\x72\x72\x75\x70\x74\x69\x62\x6c\
\x65\0\x63\x75\x72\x72\0\x69\x64\x6c\x65\0\x73\x74\x6f\x70\0\x6e\x65\x78\x74\
\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x70\x72\x65\x76\x5f\x6d\x6d\0\x63\x6c\x6f\
\x63\x6b\x5f\x75\x70\x64\x61\x74\x65\x5f\x66\x6c\x61\x67\x73\0\x63\x6c\x6f\x63\
\x6b\0\x63\x6c\x6f\x63\x6b\x5f\x74\x61\x73\x6b\0\x63\x6c\x6f\x63\x6b\x5f\x70\
\x65\x6c\x74\0\x6c\x6f\x73\x74\x5f\x69\x64\x6c\x65\x5f\x74\x69\x6d\x65\0\x6e\
\x72\x5f\x69\x6f\x77\x61\x69\x74\0\x6c\x61\x73\x74\x5f\x73\x65\x65\x6e\x5f\x6e\
\x65\x65\x64\x5f\x72\x65\x73\x63\x68\x65\x64\x5f\x6e\x73\0\x74\x69\x63\x6b\x73\
\x5f\x77\x69\x74\x68\x6f\x75\x74\x5f\x72\x65\x73\x63\x68\x65\x64\0\x6d\x65\x6d\
\x62\x61\x72\x72\x69\x65\x72\x5f\x73\x74\x61\x74\x65\0\x72\x64\0\x73\x64\0\x63\
\x70\x75\x5f\x63\x61\x70\x61\x63\x69\x74\x79\0\x63\x70\x75\x5f\x63\x61\x70\x61\
\x63\x69\x74\x79\x5f\x6f\x72\x69\x67\0\x62\x61\x6c\x61\x6e\x63\x65\x5f\x63\x61\
\x6c\x6c\x62\x61\x63\x6b\0\x6e\x6f\x68\x7a\x5f\x69\x64\x6c\x65\x5f\x62\x61\x6c\
\x61\x6e\x63\x65\0\x69\x64\x6c\x65\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x6d\x69\
\x73\x66\x69\x74\x5f\x74\x61\x73\x6b\x5f\x6c\x6f\x61\x64\0\x61\x63\x74\x69\x76\
\x65\x5f\x62\x61\x6c\x61\x6e\x63\x65\0\x70\x75\x73\x68\x5f\x63\x70\x75\0\x61\
\x63\x74\x69\x76\x65\x5f\x62\x61\x6c\x61\x6e\x63\x65\x5f\x77\x6f\x72\x6b\0\x63\
\x70\x75\0\x6f\x6e\x6c\x69\x6e\x65\0\x63\x66\x73\x5f\x74\x61\x73\x6b\x73\0\x61\
\x76\x67\x5f\x72\x74\0\x61\x76\x67\x5f\x64\x6c\0\x61\x76\x67\x5f\x69\x72\x71\0\
\x69\x64\x6c\x65\x5f\x73\x74\x61\x6d\x70\0\x61\x76\x67\x5f\x69\x64\x6c\x65\0\
\x77\x61\x6b\x65\x5f\x73\x74\x61\x6d\x70\0\x77\x61\x6b\x65\x5f\x61\x76\x67\x5f\
\x69\x64\x6c\x65\0\x6d\x61\x78\x5f\x69\x64\x6c\x65\x5f\x62\x61\x6c\x61\x6e\x63\
\x65\x5f\x63\x6f\x73\x74\0\x68\x6f\x74\x70\x6c\x75\x67\x5f\x77\x61\x69\x74\0\
\x70\x72\x65\x76\x5f\x69\x72\x71\x5f\x74\x69\x6d\x65\0\x70\x72\x65\x76\x5f\x73\
\x74\x65\x61\x6c\x5f\x74\x69\x6d\x65\0\x70\x72\x65\x76\x5f\x73\x74\x65\x61\x6c\
\x5f\x74\x69\x6d\x65\x5f\x72\x71\0\x63\x61\x6c\x63\x5f\x6c\x6f\x61\x64\x5f\x75\
\x70\x64\x61\x74\x65\0\x63\x61\x6c\x63\x5f\x6c\x6f\x61\x64\x5f\x61\x63\x74\x69\
\x76\x65\0\x68\x72\x74\x69\x63\x6b\x5f\x63\x73\x64\0\x68\x72\x74\x69\x63\x6b\
\x5f\x74\x69\x6d\x65\x72\0\x68\x72\x74\x69\x63\x6b\x5f\x74\x69\x6d\x65\0\x72\
\x71\x5f\x73\x63\x68\x65\x64\x5f\x69\x6e\x66\x6f\0\x72\x71\x5f\x63\x70\x75\x5f\
\x74\x69\x6d\x65\0\x79\x6c\x64\x5f\x63\x6f\x75\x6e\x74\0\x73\x63\x68\x65\x64\
\x5f\x63\x6f\x75\x6e\x74\0\x73\x63\x68\x65\x64\x5f\x67\x6f\x69\x64\x6c\x65\0\
\x74\x74\x77\x75\x5f\x63\x6f\x75\x6e\x74\0\x74\x74\x77\x75\x5f\x6c\x6f\x63\x61\
\x6c\0\x69\x64\x6c\x65\x5f\x73\x74\x61\x74\x65\0\x6e\x72\x5f\x70\x69\x6e\x6e\
\x65\x64\0\x70\x75\x73\x68\x5f\x62\x75\x73\x79\0\x70\x75\x73\x68\x5f\x77\x6f\
\x72\x6b\0\x63\x6f\x72\x65\0\x63\x6f\x72\x65\x5f\x70\x69\x63\x6b\0\x63\x6f\x72\
\x65\x5f\x65\x6e\x61\x62\x6c\x65\x64\0\x63\x6f\x72\x65\x5f\x73\x63\x68\x65\x64\
\x5f\x73\x65\x71\0\x63\x6f\x72\x65\x5f\x74\x72\x65\x65\0\x63\x6f\x72\x65\x5f\
\x74\x61\x73\x6b\x5f\x73\x65\x71\0\x63\x6f\x72\x65\x5f\x70\x69\x63\x6b\x5f\x73\
\x65\x71\0\x63\x6f\x72\x65\x5f\x63\x6f\x6f\x6b\x69\x65\0\x63\x6f\x72\x65\x5f\
\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x63\x6f\x75\x6e\x74\0\x63\x6f\x72\x65\
\x5f\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x73\x65\x71\0\x63\x6f\x72\x65\x5f\
\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x6f\x63\x63\x75\x70\x61\x74\x69\x6f\
\x6e\0\x63\x6f\x72\x65\x5f\x66\x6f\x72\x63\x65\x69\x64\x6c\x65\x5f\x73\x74\x61\
\x72\x74\0\x73\x63\x72\x61\x74\x63\x68\x5f\x6d\x61\x73\x6b\0\x72\x68\x5f\x72\
\x65\x73\x65\x72\x76\x65\x64\x31\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\
\x32\0\x72\x68\x5f\x72\x65\x73\x65\x72\x76\x65\x64\x33\0\x72\x68\x5f\x72\x65\
\x73\x65\x72\x76\x65\x64\x34\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\
\x5f\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\
\x6c\x6f\x63\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\
\0\x71\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x61\x74\x6f\x6d\x69\x63\
\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x6c\x6f\x63\x6b\x65\x64\0\x70\x65\x6e\
\x64\x69\x6e\x67\0\x75\x38\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x63\x68\x61\x72\0\x6c\x6f\x63\x6b\x65\x64\x5f\x70\x65\x6e\x64\x69\x6e\x67\
\0\x74\x61\x69\x6c\0\x75\x31\x36\0\x5f\x5f\x75\x31\x36\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x73\x68\x6f\x72\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x63\x61\x6c\
\x6c\x5f\x73\x69\x6e\x67\x6c\x65\x5f\x64\x61\x74\x61\x5f\x74\0\x5f\x5f\x63\x61\
\x6c\x6c\x5f\x73\x69\x6e\x67\x6c\x65\x5f\x64\x61\x74\x61\0\x6e\x6f\x64\x65\0\
\x66\x75\x6e\x63\0\x69\x6e\x66\x6f\0\x5f\x5f\x63\x61\x6c\x6c\x5f\x73\x69\x6e\
\x67\x6c\x65\x5f\x6e\x6f\x64\x65\0\x6c\x6c\x69\x73\x74\0\x73\x72\x63\0\x64\x73\
\x74\0\x6c\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\x6e\x65\x78\x74\0\x75\x5f\x66\
\x6c\x61\x67\x73\0\x61\x5f\x66\x6c\x61\x67\x73\0\x73\x6d\x70\x5f\x63\x61\x6c\
\x6c\x5f\x66\x75\x6e\x63\x5f\x74\0\x75\x36\x34\0\x63\x66\x73\x5f\x72\x71\0\x6c\
\x6f\x61\x64\0\x68\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x69\x64\x6c\
\x65\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x69\x64\x6c\x65\x5f\x68\x5f\
\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x65\x78\x65\x63\x5f\x63\x6c\x6f\x63\
\x6b\0\x6d\x69\x6e\x5f\x76\x72\x75\x6e\x74\x69\x6d\x65\0\x66\x6f\x72\x63\x65\
\x69\x64\x6c\x65\x5f\x73\x65\x71\0\x6d\x69\x6e\x5f\x76\x72\x75\x6e\x74\x69\x6d\
\x65\x5f\x66\x69\0\x74\x61\x73\x6b\x73\x5f\x74\x69\x6d\x65\x6c\x69\x6e\x65\0\
\x6c\x61\x73\x74\0\x73\x6b\x69\x70\0\x6e\x72\x5f\x73\x70\x72\x65\x61\x64\x5f\
\x6f\x76\x65\x72\0\x61\x76\x67\0\x72\x65\x6d\x6f\x76\x65\x64\0\x74\x67\x5f\x6c\
\x6f\x61\x64\x5f\x61\x76\x67\x5f\x63\x6f\x6e\x74\x72\x69\x62\0\x70\x72\x6f\x70\
\x61\x67\x61\x74\x65\0\x70\x72\x6f\x70\x5f\x72\x75\x6e\x6e\x61\x62\x6c\x65\x5f\
\x73\x75\x6d\0\x68\x5f\x6c\x6f\x61\x64\0\x6c\x61\x73\x74\x5f\x68\x5f\x6c\x6f\
\x61\x64\x5f\x75\x70\x64\x61\x74\x65\0\x68\x5f\x6c\x6f\x61\x64\x5f\x6e\x65\x78\
\x74\0\x6f\x6e\x5f\x6c\x69\x73\x74\0\x74\x67\0\x72\x75\x6e\x74\x69\x6d\x65\x5f\
\x65\x6e\x61\x62\x6c\x65\x64\0\x72\x75\x6e\x74\x69\x6d\x65\x5f\x72\x65\x6d\x61\
\x69\x6e\x69\x6e\x67\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\x5f\x63\x6c\x6f\x63\
\x6b\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\x5f\x63\x6c\x6f\x63\x6b\x5f\x74\x61\
\x73\x6b\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\x5f\x63\x6c\x6f\x63\x6b\x5f\x74\
\x61\x73\x6b\x5f\x74\x69\x6d\x65\0\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\0\x74\
\x68\x72\x6f\x74\x74\x6c\x65\x5f\x63\x6f\x75\x6e\x74\0\x74\x68\x72\x6f\x74\x74\
\x6c\x65\x64\x5f\x6c\x69\x73\x74\0\x6c\x6f\x61\x64\x5f\x77\x65\x69\x67\x68\x74\
\0\x77\x65\x69\x67\x68\x74\0\x69\x6e\x76\x5f\x77\x65\x69\x67\x68\x74\0\x75\x33\
\x32\0\x5f\x5f\x75\x33\x32\0\x72\x62\x5f\x72\x6f\x6f\x74\x5f\x63\x61\x63\x68\
\x65\x64\0\x72\x62\x5f\x72\x6f\x6f\x74\0\x72\x62\x5f\x6c\x65\x66\x74\x6d\x6f\
\x73\x74\0\x72\x62\x5f\x6e\x6f\x64\x65\0\x73\x63\x68\x65\x64\x5f\x61\x76\x67\0\
\x6c\x61\x73\x74\x5f\x75\x70\x64\x61\x74\x65\x5f\x74\x69\x6d\x65\0\x6c\x6f\x61\
\x64\x5f\x73\x75\x6d\0\x72\x75\x6e\x6e\x61\x62\x6c\x65\x5f\x73\x75\x6d\0\x75\
\x74\x69\x6c\x5f\x73\x75\x6d\0\x70\x65\x72\x69\x6f\x64\x5f\x63\x6f\x6e\x74\x72\
\x69\x62\0\x6c\x6f\x61\x64\x5f\x61\x76\x67\0\x72\x75\x6e\x6e\x61\x62\x6c\x65\
\x5f\x61\x76\x67\0\x75\x74\x69\x6c\x5f\x61\x76\x67\0\x75\x74\x69\x6c\x5f\x65\
\x73\x74\0\x65\x6e\x71\x75\x65\x75\x65\x64\0\x65\x77\x6d\x61\0\x6c\x6f\x63\x6b\
\0\x6e\x72\0\x6c\x6f\x6e\x67\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x70\x72\
\x65\x76\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\
\x67\0\x72\x74\x5f\x72\x71\0\x61\x63\x74\x69\x76\x65\0\x72\x74\x5f\x6e\x72\x5f\
\x72\x75\x6e\x6e\x69\x6e\x67\0\x72\x72\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\
\x67\0\x68\x69\x67\x68\x65\x73\x74\x5f\x70\x72\x69\x6f\0\x72\x74\x5f\x6e\x72\
\x5f\x6d\x69\x67\x72\x61\x74\x6f\x72\x79\0\x72\x74\x5f\x6e\x72\x5f\x74\x6f\x74\
\x61\x6c\0\x6f\x76\x65\x72\x6c\x6f\x61\x64\x65\x64\0\x70\x75\x73\x68\x61\x62\
\x6c\x65\x5f\x74\x61\x73\x6b\x73\0\x72\x74\x5f\x71\x75\x65\x75\x65\x64\0\x72\
\x74\x5f\x74\x68\x72\x6f\x74\x74\x6c\x65\x64\0\x72\x74\x5f\x74\x69\x6d\x65\0\
\x72\x74\x5f\x72\x75\x6e\x74\x69\x6d\x65\0\x72\x74\x5f\x72\x75\x6e\x74\x69\x6d\
\x65\x5f\x6c\x6f\x63\x6b\0\x72\x74\x5f\x70\x72\x69\x6f\x5f\x61\x72\x72\x61\x79\
\0\x62\x69\x74\x6d\x61\x70\0\x71\x75\x65\x75\x65\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x70\x6c\x69\x73\x74\x5f\x68\
\x65\x61\x64\0\x6e\x6f\x64\x65\x5f\x6c\x69\x73\x74\0\x64\x6c\x5f\x72\x71\0\x72\
\x6f\x6f\x74\0\x64\x6c\x5f\x6e\x72\x5f\x72\x75\x6e\x6e\x69\x6e\x67\0\x65\x61\
\x72\x6c\x69\x65\x73\x74\x5f\x64\x6c\0\x64\x6c\x5f\x6e\x72\x5f\x6d\x69\x67\x72\
\x61\x74\x6f\x72\x79\0\x70\x75\x73\x68\x61\x62\x6c\x65\x5f\x64\x6c\x5f\x74\x61\
\x73\x6b\x73\x5f\x72\x6f\x6f\x74\0\x72\x75\x6e\x6e\x69\x6e\x67\x5f\x62\x77\0\
\x74\x68\x69\x73\x5f\x62\x77\0\x65\x78\x74\x72\x61\x5f\x62\x77\0\x62\x77\x5f\
\x72\x61\x74\x69\x6f\0\x63\x70\x75\x5f\x73\x74\x6f\x70\x5f\x77\x6f\x72\x6b\0\
\x6c\x69\x73\x74\0\x66\x6e\0\x63\x61\x6c\x6c\x65\x72\0\x61\x72\x67\0\x64\x6f\
\x6e\x65\0\x63\x70\x75\x5f\x73\x74\x6f\x70\x5f\x66\x6e\x5f\x74\0\x72\x63\x75\
\x77\x61\x69\x74\0\x74\x61\x73\x6b\0\x68\x72\x74\x69\x6d\x65\x72\0\x5f\x73\x6f\
\x66\x74\x65\x78\x70\x69\x72\x65\x73\0\x66\x75\x6e\x63\x74\x69\x6f\x6e\0\x62\
\x61\x73\x65\0\x73\x74\x61\x74\x65\0\x69\x73\x5f\x72\x65\x6c\0\x69\x73\x5f\x73\
\x6f\x66\x74\0\x69\x73\x5f\x68\x61\x72\x64\0\x74\x69\x6d\x65\x72\x71\x75\x65\
\x75\x65\x5f\x6e\x6f\x64\x65\0\x65\x78\x70\x69\x72\x65\x73\0\x5f\x5f\x72\x62\
\x5f\x70\x61\x72\x65\x6e\x74\x5f\x63\x6f\x6c\x6f\x72\0\x72\x62\x5f\x72\x69\x67\
\x68\x74\0\x72\x62\x5f\x6c\x65\x66\x74\0\x6b\x74\x69\x6d\x65\x5f\x74\0\x68\x72\
\x74\x69\x6d\x65\x72\x5f\x72\x65\x73\x74\x61\x72\x74\0\x48\x52\x54\x49\x4d\x45\
\x52\x5f\x4e\x4f\x52\x45\x53\x54\x41\x52\x54\0\x48\x52\x54\x49\x4d\x45\x52\x5f\
\x52\x45\x53\x54\x41\x52\x54\0\x73\x63\x68\x65\x64\x5f\x69\x6e\x66\x6f\0\x70\
\x63\x6f\x75\x6e\x74\0\x72\x75\x6e\x5f\x64\x65\x6c\x61\x79\0\x6c\x61\x73\x74\
\x5f\x61\x72\x72\x69\x76\x61\x6c\0\x6c\x61\x73\x74\x5f\x71\x75\x65\x75\x65\x64\
\0\x63\x70\x75\x6d\x61\x73\x6b\x5f\x76\x61\x72\x5f\x74\0\x72\x75\x6e\x71\x75\
\x65\x75\x65\x73\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x61\x63\x74\x69\x76\x65\
\0\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x31\0\x62\x70\x66\x5f\
\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x63\x61\x6c\x6c\x62\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x63\
\x70\x75\x5f\x73\x74\x6f\x70\x5f\x64\x6f\x6e\x65\0\x63\x70\x75\x69\x64\x6c\x65\
\x5f\x73\x74\x61\x74\x65\0\x63\x70\x75\x6d\x61\x73\x6b\0\x68\x72\x74\x69\x6d\
\x65\x72\x5f\x63\x6c\x6f\x63\x6b\x5f\x62\x61\x73\x65\0\x6d\x6d\x5f\x73\x74\x72\
\x75\x63\x74\0\x72\x6f\x6f\x74\x5f\x64\x6f\x6d\x61\x69\x6e\0\x73\x63\x68\x65\
\x64\x5f\x64\x6f\x6d\x61\x69\x6e\0\x73\x63\x68\x65\x64\x5f\x65\x6e\x74\x69\x74\
\x79\0\x74\x61\x73\x6b\x5f\x67\x72\x6f\x75\x70\0\x74\x61\x73\x6b\x5f\x73\x74\
\x72\x75\x63\x74\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\
\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x31\x36\x32\x2e\x32\x32\x2e\x32\x2e\x65\x6c\x39\x5f\x31\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x31\x36\x32\x2e\x32\x32\x2e\x32\
\x2e\x65\x6c\x39\x5f\x31\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\
\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\
\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x6b\x73\x79\x6d\
\x73\x5f\x77\x65\x61\x6b\x2e\x63\0\x69\x6e\x74\x20\x70\x61\x73\x73\x5f\x68\x61\
\x6e\x64\x6c\x65\x72\x28\x63\x6f\x6e\x73\x74\x20\x76\x6f\x69\x64\x20\x2a\x63\
\x74\x78\x29\0\x09\x72\x71\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x72\x71\
\x20\x2a\x29\x62\x70\x66\x5f\x70\x65\x72\x5f\x63\x70\x75\x5f\x70\x74\x72\x28\
\x26\x72\x75\x6e\x71\x75\x65\x75\x65\x73\x2c\x20\x30\x29\x3b\0\x09\x69\x66\x20\
\x28\x72\x71\x29\0\x09\x09\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\x6e\x67\
\x5f\x74\x79\x70\x65\x64\x20\x3d\x20\x30\x3b\0\x09\x6f\x75\x74\x5f\x5f\x6e\x6f\
\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x74\x79\x70\x65\x6c\x65\x73\x73\
\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x26\x62\x70\x66\x5f\x6c\x69\x6e\x6b\
\x5f\x66\x6f\x70\x73\x31\x3b\0\x09\x6f\x75\x74\x5f\x5f\x65\x78\x69\x73\x74\x69\
\x6e\x67\x5f\x74\x79\x70\x65\x6c\x65\x73\x73\x20\x3d\x20\x28\x5f\x5f\x75\x36\
\x34\x29\x26\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x61\x63\x74\x69\x76\x65\x3b\0\
\x09\x6f\x75\x74\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\
\x74\x79\x70\x65\x64\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x26\x62\x70\x66\
\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\x3b\0\x09\x69\x66\x20\x28\x26\x62\
\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\x29\x20\x2f\x2a\x20\x63\
\x61\x6e\x27\x74\x20\x68\x61\x70\x70\x65\x6e\x20\x2a\x2f\0\x09\x09\x6f\x75\x74\
\x5f\x5f\x6e\x6f\x6e\x5f\x65\x78\x69\x73\x74\x65\x6e\x74\x5f\x74\x79\x70\x65\
\x64\x20\x3d\x20\x28\x5f\x5f\x75\x36\x34\x29\x62\x70\x66\x5f\x70\x65\x72\x5f\
\x63\x70\x75\x5f\x70\x74\x72\x28\x26\x62\x70\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\
\x6f\x70\x73\x32\x2c\x20\x30\x29\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\
\0\x2e\x64\x61\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\
\0\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x35\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x20\0\0\0\x01\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x5f\x6b\
\x73\x79\x2e\x64\x61\x74\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x71\0\0\0\0\0\0\0\
\xff\xff\xff\xff\0\0\0\0\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\
\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\xb7\x06\0\
\0\0\0\0\0\x18\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\
\x99\0\0\0\x15\0\x03\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x61\0\0\
\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x7b\x21\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x66\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\
\x18\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x16\0\0\0\0\0\0\x15\x01\x05\0\0\0\0\0\
\x18\x31\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\x85\0\0\0\x99\0\0\0\
\x7b\x06\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\0\
\0\0\x68\x0c\0\0\xf2\x0c\0\0\0\x88\0\0\x01\0\0\0\x68\x0c\0\0\x14\x0d\0\0\x14\
\x9c\0\0\x05\0\0\0\x68\x0c\0\0\x47\x0d\0\0\x06\xa0\0\0\x06\0\0\0\x68\x0c\0\0\
\x50\x0d\0\0\x17\xa4\0\0\x09\0\0\0\x68\x0c\0\0\x6b\x0d\0\0\x1d\xb4\0\0\x0e\0\0\
\0\x68\x0c\0\0\xa1\x0d\0\0\x19\xa8\0\0\x13\0\0\0\x68\x0c\0\0\xd4\x0d\0\0\x1a\
\xc0\0\0\x18\0\0\0\x68\x0c\0\0\x07\x0e\0\0\x06\xc8\0\0\x19\0\0\0\x68\x0c\0\0\
\x30\x0e\0\0\x24\xcc\0\0\x1d\0\0\0\x68\x0c\0\0\x30\x0e\0\0\x1b\xcc\0\0\x1e\0\0\
\0\x68\x0c\0\0\x78\x0e\0\0\x02\xd4\0\0\x11\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x61\x73\x73\
\x5f\x68\x61\x6e\x64\x6c\x65\x72\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x72\x75\x6e\x71\x75\x65\x75\x65\x73\0\0\0\0\0\0\0\x62\x70\
\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x31\0\0\0\0\0\0\0\0\0\0\x62\x70\
\x66\x5f\x70\x72\x6f\x67\x5f\x61\x63\x74\x69\x76\x65\0\0\0\0\0\0\0\0\0\x62\x70\
\x66\x5f\x6c\x69\x6e\x6b\x5f\x66\x6f\x70\x73\x32\0\0";
	opts.insns_sz = 2088;
	opts.insns = (void *)"\
\xbf\x16\0\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\x78\xff\xff\xff\xb7\x02\0\
\0\x88\0\0\0\xb7\x03\0\0\0\0\0\0\x85\0\0\0\x71\0\0\0\x05\0\x11\0\0\0\0\0\x61\
\xa1\x78\xff\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x7c\xff\
\0\0\0\0\xd5\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa1\x80\xff\0\0\0\0\xd5\
\x01\x01\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\
\xbf\x70\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\x50\x25\0\0\x63\x01\0\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\
\0\0\0\0\0\0\0\x4c\x25\0\0\x63\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\x40\x25\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\
\0\x05\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x38\x25\0\0\x7b\x01\0\0\0\0\0\0\xb7\x01\
\0\0\x12\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x38\x25\0\0\xb7\x03\0\0\x1c\0\0\0\
\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\xd7\xff\0\0\0\0\x63\x7a\x78\
\xff\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x88\x25\0\0\
\x63\x01\0\0\0\0\0\0\x61\x60\x20\0\0\0\0\0\x15\0\x03\0\0\0\0\0\x18\x61\0\0\0\0\
\0\0\0\0\0\0\x64\x25\0\0\x63\x01\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x18\x62\0\0\0\
\0\0\0\0\0\0\0\x58\x25\0\0\xb7\x03\0\0\x40\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\
\0\0\0\0\0\xc5\x07\xc6\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x71\
\0\0\0\0\0\0\x79\x63\x18\0\0\0\0\0\x15\x03\x04\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\
\0\0\0\x98\x25\0\0\xb7\x02\0\0\x20\0\0\0\x85\0\0\0\x94\0\0\0\x18\x62\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x61\x20\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xc0\x25\0\0\
\x63\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xb8\x25\0\0\x18\x61\0\0\0\0\0\
\0\0\0\0\0\xc8\x25\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x98\x25\
\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xd0\x25\0\0\x7b\x01\0\0\0\0\0\0\xb7\x01\0\0\
\x02\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xc0\x25\0\0\xb7\x03\0\0\x20\0\0\0\x85\0\
\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\xc5\x07\xa6\xff\0\0\0\0\x18\x60\0\0\0\0\0\0\
\0\0\0\0\xe0\x25\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xb0\x27\0\0\x7b\x01\0\0\0\0\0\
\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xe8\x25\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xa8\x27\
\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xe8\x26\0\0\x18\x61\0\0\0\
\0\0\0\0\0\0\0\xf0\x27\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\xf0\
\x26\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\x7b\x01\0\0\0\0\0\0\x18\x60\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x18\x28\0\0\x7b\x01\0\0\0\
\0\0\0\x61\x60\x08\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xb8\x27\0\0\x63\x01\0\
\0\0\0\0\0\x61\x60\x0c\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xbc\x27\0\0\x63\
\x01\0\0\0\0\0\0\x79\x60\x10\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xc0\x27\0\0\
\x7b\x01\0\0\0\0\0\0\x61\xa0\x78\xff\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xe8\
\x27\0\0\x63\x01\0\0\0\0\0\0\x18\x68\0\0\0\0\0\0\0\0\0\0\xf0\x25\0\0\x18\x61\0\
\0\0\0\0\0\0\0\0\0\x20\x28\0\0\xb7\x02\0\0\x0a\0\0\0\xb7\x03\0\0\x0e\0\0\0\xb7\
\x04\0\0\0\0\0\0\x85\0\0\0\xa7\0\0\0\xbf\x07\0\0\0\0\0\0\x62\x08\x04\0\0\0\0\0\
\x62\x08\x0c\0\0\0\0\0\xc5\x07\x04\0\0\0\0\0\x63\x78\x04\0\0\0\0\0\x77\x07\0\0\
\x20\0\0\0\x63\x78\x0c\0\0\0\0\0\x75\x07\x03\0\0\0\0\0\x71\x89\x01\0\0\0\0\0\
\x54\x09\0\0\x0f\0\0\0\x73\x98\x01\0\0\0\0\0\x18\x68\0\0\0\0\0\0\0\0\0\0\x40\
\x26\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x30\x28\0\0\xb7\x02\0\0\x0f\0\0\0\xb7\x03\
\0\0\0\0\0\0\x18\x64\0\0\0\0\0\0\0\0\0\0\x40\x28\0\0\xbf\x47\0\0\0\0\0\0\x85\0\
\0\0\xb3\0\0\0\x79\x79\0\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\x15\x07\x01\0\xfe\xff\
\xff\xff\xc5\x07\x5c\xff\0\0\0\0\x63\x98\x04\0\0\0\0\0\x77\x09\0\0\x20\0\0\0\
\x63\x98\x0c\0\0\0\0\0\x18\x68\0\0\0\0\0\0\0\0\0\0\x68\x26\0\0\x18\x61\0\0\0\0\
\0\0\0\0\0\0\x48\x28\0\0\xb7\x02\0\0\x10\0\0\0\xb7\x03\0\0\0\0\0\0\x18\x64\0\0\
\0\0\0\0\0\0\0\0\x58\x28\0\0\xbf\x47\0\0\0\0\0\0\x85\0\0\0\xb3\0\0\0\x79\x79\0\
\0\0\0\0\0\xbf\x07\0\0\0\0\0\0\x15\x07\x01\0\xfe\xff\xff\xff\xc5\x07\x4b\xff\0\
\0\0\0\x63\x98\x04\0\0\0\0\0\x77\x09\0\0\x20\0\0\0\x63\x98\x0c\0\0\0\0\0\x18\
\x68\0\0\0\0\0\0\0\0\0\0\x90\x26\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\x60\x28\0\0\
\xb7\x02\0\0\x0f\0\0\0\xb7\x03\0\0\x0e\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\xa7\
\0\0\0\xbf\x07\0\0\0\0\0\0\x62\x08\x04\0\0\0\0\0\x62\x08\x0c\0\0\0\0\0\xc5\x07\
\x04\0\0\0\0\0\x63\x78\x04\0\0\0\0\0\x77\x07\0\0\x20\0\0\0\x63\x78\x0c\0\0\0\0\
\0\x75\x07\x03\0\0\0\0\0\x71\x89\x01\0\0\0\0\0\x54\x09\0\0\x0f\0\0\0\x73\x98\
\x01\0\0\0\0\0\x18\x68\0\0\0\0\0\0\0\0\0\0\xb0\x26\0\0\x18\x62\0\0\0\0\0\0\0\0\
\0\0\x94\x26\0\0\x61\x20\0\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xb4\x26\0\0\
\x63\x01\0\0\0\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\x9c\x26\0\0\x61\x20\0\0\0\0\0\
\0\x18\x61\0\0\0\0\0\0\0\0\0\0\xbc\x26\0\0\x63\x01\0\0\0\0\0\0\x61\x89\x04\0\0\
\0\0\0\x55\x09\x03\0\0\0\0\0\x71\x89\x01\0\0\0\0\0\x54\x09\0\0\x0f\0\0\0\x73\
\x98\x01\0\0\0\0\0\xb7\x01\0\0\x05\0\0\0\x18\x62\0\0\0\0\0\0\0\0\0\0\xa0\x27\0\
\0\xb7\x03\0\0\x80\0\0\0\x85\0\0\0\xa6\0\0\0\xbf\x07\0\0\0\0\0\0\x18\x60\0\0\0\
\0\0\0\0\0\0\0\xfc\x25\0\0\x61\x01\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\
\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x18\x60\0\0\0\0\0\0\0\0\0\0\x9c\x26\0\0\x61\x01\
\0\0\0\0\0\0\xd5\x01\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\xc5\
\x07\x0f\xff\0\0\0\0\x63\x7a\x80\xff\0\0\0\0\x61\xa1\x78\xff\0\0\0\0\xd5\x01\
\x02\0\0\0\0\0\xbf\x19\0\0\0\0\0\0\x85\0\0\0\xa8\0\0\0\x61\xa0\x80\xff\0\0\0\0\
\x63\x06\x28\0\0\0\0\0\x18\x61\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x10\0\0\0\0\0\0\
\x63\x06\x18\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0";
	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->data =
		mmap(skel->data, 4096, PROT_READ | PROT_WRITE, MAP_SHARED | MAP_FIXED,
			skel->maps.data.map_fd, 0);
	return 0;
}

static inline struct test_ksyms_weak_lskel *
test_ksyms_weak_lskel__open_and_load(void)
{
	struct test_ksyms_weak_lskel *skel;

	skel = test_ksyms_weak_lskel__open();
	if (!skel)
		return NULL;
	if (test_ksyms_weak_lskel__load(skel)) {
		test_ksyms_weak_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

#endif /* __TEST_KSYMS_WEAK_LSKEL_SKEL_H__ */
