/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_PE_PRESERVE_ELEMS_SKEL_H__
#define __TEST_PE_PRESERVE_ELEMS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_pe_preserve_elems {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *array_1;
		struct bpf_map *array_2;
	} maps;
	struct {
		struct bpf_program *read_array_1;
		struct bpf_program *read_array_2;
	} progs;
	struct {
		struct bpf_link *read_array_1;
		struct bpf_link *read_array_2;
	} links;
};

static void
test_pe_preserve_elems__destroy(struct test_pe_preserve_elems *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_pe_preserve_elems__create_skeleton(struct test_pe_preserve_elems *obj);

static inline struct test_pe_preserve_elems *
test_pe_preserve_elems__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_pe_preserve_elems *obj;
	int err;

	obj = (struct test_pe_preserve_elems *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_pe_preserve_elems__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_pe_preserve_elems__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_pe_preserve_elems *
test_pe_preserve_elems__open(void)
{
	return test_pe_preserve_elems__open_opts(NULL);
}

static inline int
test_pe_preserve_elems__load(struct test_pe_preserve_elems *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_pe_preserve_elems *
test_pe_preserve_elems__open_and_load(void)
{
	struct test_pe_preserve_elems *obj;
	int err;

	obj = test_pe_preserve_elems__open();
	if (!obj)
		return NULL;
	err = test_pe_preserve_elems__load(obj);
	if (err) {
		test_pe_preserve_elems__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_pe_preserve_elems__attach(struct test_pe_preserve_elems *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_pe_preserve_elems__detach(struct test_pe_preserve_elems *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_pe_preserve_elems__elf_bytes(size_t *sz);

static inline int
test_pe_preserve_elems__create_skeleton(struct test_pe_preserve_elems *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_pe_preserve_elems";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps)
		goto err;

	s->maps[0].name = "array_1";
	s->maps[0].map = &obj->maps.array_1;

	s->maps[1].name = "array_2";
	s->maps[1].map = &obj->maps.array_2;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "read_array_1";
	s->progs[0].prog = &obj->progs.read_array_1;
	s->progs[0].link = &obj->links.read_array_1;

	s->progs[1].name = "read_array_2";
	s->progs[1].prog = &obj->progs.read_array_2;
	s->progs[1].link = &obj->links.read_array_2;

	s->data = (void *)test_pe_preserve_elems__elf_bytes(&s->data_sz);

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

static inline const void *test_pe_preserve_elems__elf_bytes(size_t *sz)
{
	*sz = 2704;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xd0\x07\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0b\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x63\x68\x65\x64\x5f\x73\x77\x69\x74\x63\x68\0\x72\x61\
\x77\x5f\x74\x70\x2f\x74\x61\x73\x6b\x5f\x72\x65\x6e\x61\x6d\x65\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x74\x65\x73\x74\x5f\x70\x65\x5f\x70\
\x72\x65\x73\x65\x72\x76\x65\x5f\x65\x6c\x65\x6d\x73\x2e\x63\0\x72\x65\x61\x64\
\x5f\x61\x72\x72\x61\x79\x5f\x31\0\x61\x72\x72\x61\x79\x5f\x31\0\x72\x65\x61\
\x64\x5f\x61\x72\x72\x61\x79\x5f\x32\0\x61\x72\x72\x61\x79\x5f\x32\0\x4c\x49\
\x43\x45\x4e\x53\x45\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\x2f\x73\x63\x68\
\x65\x64\x5f\x73\x77\x69\x74\x63\x68\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x70\
\x2f\x74\x61\x73\x6b\x5f\x72\x65\x6e\x61\x6d\x65\0\x2e\x42\x54\x46\0\x2e\x42\
\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x46\0\0\0\x04\0\xf1\xff\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x5f\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x6c\0\0\0\x11\0\
\x06\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x74\0\0\0\x12\0\x04\0\0\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\x81\0\0\0\x11\0\x06\0\x20\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\
\x89\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xbf\xa3\0\0\0\0\0\0\
\x07\x03\0\0\xe8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x02\0\0\0\
\0\0\0\xb7\x04\0\0\x18\0\0\0\x85\0\0\0\x37\0\0\0\x95\0\0\0\0\0\0\0\xbf\xa3\0\0\
\0\0\0\0\x07\x03\0\0\xe8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x02\0\0\0\0\0\0\xb7\x04\0\0\x18\0\0\0\x85\0\0\0\x37\0\0\0\x95\0\0\0\0\0\0\0\
\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\x05\0\0\0\x10\0\0\0\0\0\0\0\x01\0\0\0\
\x07\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xf8\x01\0\0\xf8\x01\0\0\x0e\x02\0\0\
\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\
\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\
\0\0\0\x2e\0\0\0\x07\0\0\0\xc0\0\0\0\x34\0\0\0\0\0\0\x0e\x08\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\x02\x0b\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x08\
\0\0\0\0\0\0\x05\0\0\x04\x28\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\
\0\0\x40\0\0\0\x2a\0\0\0\x07\0\0\0\x80\0\0\0\x2e\0\0\0\x07\0\0\0\xc0\0\0\0\x3c\
\0\0\0\x0a\0\0\0\0\x01\0\0\x46\0\0\0\0\0\0\x0e\x0c\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x02\x0f\0\0\0\x4e\0\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\x01\0\0\x0d\
\x02\0\0\0\x61\0\0\0\x0e\0\0\0\x65\0\0\0\x01\0\0\x0c\x10\0\0\0\x72\0\0\0\x01\0\
\0\x0c\x10\0\0\0\x7f\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\
\0\0\0\x13\0\0\0\x04\0\0\0\x04\0\0\0\x84\0\0\0\0\0\0\x0e\x14\0\0\0\x01\0\0\0\
\xd9\x01\0\0\x01\0\0\x0f\x04\0\0\0\x15\0\0\0\0\0\0\0\x04\0\0\0\xe1\x01\0\0\x02\
\0\0\x0f\x48\0\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\x0d\0\0\0\x20\0\0\0\x28\0\0\0\0\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\
\x6b\x65\x79\0\x76\x61\x6c\x75\x65\0\x61\x72\x72\x61\x79\x5f\x31\0\x6d\x61\x70\
\x5f\x66\x6c\x61\x67\x73\0\x61\x72\x72\x61\x79\x5f\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x72\x65\
\x61\x64\x5f\x61\x72\x72\x61\x79\x5f\x31\0\x72\x65\x61\x64\x5f\x61\x72\x72\x61\
\x79\x5f\x32\0\x63\x68\x61\x72\0\x4c\x49\x43\x45\x4e\x53\x45\0\x2f\x62\x75\x69\
\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\
\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x31\x36\x32\x2e\x32\x32\
\x2e\x32\x2e\x65\x6c\x39\x5f\x31\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\
\x2e\x30\x2d\x31\x36\x32\x2e\x32\x32\x2e\x32\x2e\x65\x6c\x39\x5f\x31\x2e\x78\
\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x70\x65\x5f\x70\x72\x65\x73\x65\x72\x76\x65\x5f\
\x65\x6c\x65\x6d\x73\x2e\x63\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x28\x72\x65\x61\x64\x5f\x61\x72\x72\x61\x79\x5f\x31\x29\0\x09\x72\x65\x74\x75\
\x72\x6e\x20\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x72\
\x65\x61\x64\x5f\x76\x61\x6c\x75\x65\x28\x26\x61\x72\x72\x61\x79\x5f\x31\x2c\
\x20\x30\x2c\x20\x26\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\
\x6c\x29\x29\x3b\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x28\x72\x65\
\x61\x64\x5f\x61\x72\x72\x61\x79\x5f\x32\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\
\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x72\x65\x61\x64\
\x5f\x76\x61\x6c\x75\x65\x28\x26\x61\x72\x72\x61\x79\x5f\x32\x2c\x20\x30\x2c\
\x20\x26\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\x29\x29\
\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6d\x61\x70\x73\0\x72\x61\x77\x5f\x74\
\x70\x2f\x73\x63\x68\x65\x64\x5f\x73\x77\x69\x74\x63\x68\0\x72\x61\x77\x5f\x74\
\x70\x2f\x74\x61\x73\x6b\x5f\x72\x65\x6e\x61\x6d\x65\0\0\0\x9f\xeb\x01\0\x20\0\
\0\0\0\0\0\0\x24\0\0\0\x24\0\0\0\x94\0\0\0\xb8\0\0\0\0\0\0\0\x08\0\0\0\xe7\x01\
\0\0\x01\0\0\0\0\0\0\0\x11\0\0\0\xfb\x01\0\0\x01\0\0\0\0\0\0\0\x12\0\0\0\x10\0\
\0\0\xe7\x01\0\0\x04\0\0\0\0\0\0\0\x8c\0\0\0\x1d\x01\0\0\0\x5c\0\0\x08\0\0\0\
\x8c\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x8c\0\0\0\x38\x01\0\0\x09\x6c\0\0\x38\0\0\
\0\x8c\0\0\0\x1d\x01\0\0\x05\x5c\0\0\xfb\x01\0\0\x04\0\0\0\0\0\0\0\x8c\0\0\0\
\x7b\x01\0\0\0\x7c\0\0\x08\0\0\0\x8c\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\x8c\0\0\0\
\x96\x01\0\0\x09\x8c\0\0\x38\0\0\0\x8c\0\0\0\x7b\x01\0\0\x05\x7c\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xce\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\x01\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\0\x11\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x01\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x25\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x01\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x70\x02\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x91\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb8\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x03\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\xa9\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\xc8\x02\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\
\0\x10\0\0\0\0\0\0\0\xc0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\
\x02\0\0\0\0\0\0\x1e\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\xc5\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x06\0\0\0\0\0\
\0\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";
}

#endif /* __TEST_PE_PRESERVE_ELEMS_SKEL_H__ */
