/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED! */
#ifndef __TEST_XDP_CONTEXT_TEST_RUN_SKEL_H__
#define __TEST_XDP_CONTEXT_TEST_RUN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct test_xdp_context_test_run {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *xdp_context;
	} progs;
	struct {
		struct bpf_link *xdp_context;
	} links;
};

static void
test_xdp_context_test_run__destroy(struct test_xdp_context_test_run *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_xdp_context_test_run__create_skeleton(struct test_xdp_context_test_run *obj);

static inline struct test_xdp_context_test_run *
test_xdp_context_test_run__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_xdp_context_test_run *obj;
	int err;

	obj = (struct test_xdp_context_test_run *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_xdp_context_test_run__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_xdp_context_test_run__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_xdp_context_test_run *
test_xdp_context_test_run__open(void)
{
	return test_xdp_context_test_run__open_opts(NULL);
}

static inline int
test_xdp_context_test_run__load(struct test_xdp_context_test_run *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_xdp_context_test_run *
test_xdp_context_test_run__open_and_load(void)
{
	struct test_xdp_context_test_run *obj;
	int err;

	obj = test_xdp_context_test_run__open();
	if (!obj)
		return NULL;
	err = test_xdp_context_test_run__load(obj);
	if (err) {
		test_xdp_context_test_run__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_xdp_context_test_run__attach(struct test_xdp_context_test_run *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_xdp_context_test_run__detach(struct test_xdp_context_test_run *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_xdp_context_test_run__elf_bytes(size_t *sz);

static inline int
test_xdp_context_test_run__create_skeleton(struct test_xdp_context_test_run *obj)
{
	struct bpf_object_skeleton *s;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)
		goto err;
	obj->skeleton = s;

	s->sz = sizeof(*s);
	s->name = "test_xdp_context_test_run";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs)
		goto err;

	s->progs[0].name = "xdp_context";
	s->progs[0].prog = &obj->progs.xdp_context;
	s->progs[0].link = &obj->links.xdp_context;

	s->data = (void *)test_xdp_context_test_run__elf_bytes(&s->data_sz);

	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return -ENOMEM;
}

static inline const void *test_xdp_context_test_run__elf_bytes(size_t *sz)
{
	*sz = 1888;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xa0\x05\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x07\0\
\x01\0\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x78\x64\
\x70\0\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x78\x64\x70\x5f\x63\
\x6f\x6e\x74\x65\x78\x74\x5f\x74\x65\x73\x74\x5f\x72\x75\x6e\x2e\x63\0\x4c\x42\
\x42\x30\x5f\x33\0\x78\x64\x70\x5f\x63\x6f\x6e\x74\x65\x78\x74\0\x5f\x6c\x69\
\x63\x65\x6e\x73\x65\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\0\0\0\x04\0\xf1\xff\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x39\0\0\0\0\0\x03\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x12\0\
\x03\0\0\0\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\x4c\0\0\0\x11\0\x04\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\x61\x13\0\0\0\0\0\0\x61\x12\x08\0\0\0\0\
\0\xbf\x24\0\0\0\0\0\0\x07\x04\0\0\x04\0\0\0\x2d\x34\x05\0\0\0\0\0\x61\x26\0\0\
\0\0\0\0\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\x36\0\0\0\x15\0\x01\0\0\0\0\0\xb7\x06\
\0\0\0\0\0\0\xbf\x60\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\x9f\
\xeb\x01\0\x18\0\0\0\0\0\0\0\x0c\x01\0\0\x0c\x01\0\0\xff\x01\0\0\0\0\0\0\0\0\0\
\x02\x02\0\0\0\x01\0\0\0\x06\0\0\x04\x18\0\0\0\x08\0\0\0\x03\0\0\0\0\0\0\0\x0d\
\0\0\0\x03\0\0\0\x20\0\0\0\x16\0\0\0\x03\0\0\0\x40\0\0\0\x20\0\0\0\x03\0\0\0\
\x60\0\0\0\x30\0\0\0\x03\0\0\0\x80\0\0\0\x3f\0\0\0\x03\0\0\0\xa0\0\0\0\x4e\0\0\
\0\0\0\0\x08\x04\0\0\0\x54\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\x01\0\0\
\x0d\x06\0\0\0\x61\0\0\0\x01\0\0\0\x65\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\
\x69\0\0\0\x01\0\0\x0c\x05\0\0\0\x75\0\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\x08\0\0\0\x0a\0\0\0\x04\0\0\0\x7a\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\0\x8e\0\0\0\0\0\0\x0e\x09\0\0\0\x01\0\0\0\xf7\x01\0\0\x01\0\0\x0f\
\x04\0\0\0\x0b\0\0\0\0\0\0\0\x04\0\0\0\0\x78\x64\x70\x5f\x6d\x64\0\x64\x61\x74\
\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\
\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x72\x78\x5f\x71\
\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\0\x65\x67\x72\x65\x73\x73\x5f\x69\x66\
\x69\x6e\x64\x65\x78\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x69\x6e\x74\0\x78\x64\x70\0\x69\x6e\x74\0\x78\x64\x70\x5f\x63\x6f\x6e\x74\
\x65\x78\x74\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\
\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\
\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x31\x36\x32\x2e\
\x32\x32\x2e\x32\x2e\x65\x6c\x39\x5f\x31\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x31\x36\x32\x2e\x32\x32\x2e\x32\x2e\x65\x6c\x39\x5f\x31\
\x2e\x78\x38\x36\x5f\x36\x34\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x78\x64\x70\x5f\x63\x6f\x6e\x74\x65\x78\
\x74\x5f\x74\x65\x73\x74\x5f\x72\x75\x6e\x2e\x63\0\x69\x6e\x74\x20\x78\x64\x70\
\x5f\x63\x6f\x6e\x74\x65\x78\x74\x28\x73\x74\x72\x75\x63\x74\x20\x78\x64\x70\
\x5f\x6d\x64\x20\x2a\x78\x64\x70\x29\0\x09\x76\x6f\x69\x64\x20\x2a\x64\x61\x74\
\x61\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\x6f\x6e\x67\x29\x78\
\x64\x70\x2d\x3e\x64\x61\x74\x61\x3b\0\x09\x5f\x5f\x75\x33\x32\x20\x2a\x6d\x65\
\x74\x61\x64\x61\x74\x61\x20\x3d\x20\x28\x76\x6f\x69\x64\x20\x2a\x29\x28\x6c\
\x6f\x6e\x67\x29\x78\x64\x70\x2d\x3e\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\x3b\0\
\x09\x69\x66\x20\x28\x6d\x65\x74\x61\x64\x61\x74\x61\x20\x2b\x20\x31\x20\x3e\
\x20\x64\x61\x74\x61\x29\0\x09\x72\x65\x74\x20\x3d\x20\x2a\x6d\x65\x74\x61\x64\
\x61\x74\x61\x3b\0\x09\x69\x66\x20\x28\x62\x70\x66\x5f\x78\x64\x70\x5f\x61\x64\
\x6a\x75\x73\x74\x5f\x6d\x65\x74\x61\x28\x78\x64\x70\x2c\x20\x34\x29\x29\0\x7d\
\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\0\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\
\0\0\0\x14\0\0\0\x9c\0\0\0\xb0\0\0\0\0\0\0\0\x08\0\0\0\x61\0\0\0\x01\0\0\0\0\0\
\0\0\x07\0\0\0\x10\0\0\0\x61\0\0\0\x09\0\0\0\0\0\0\0\x97\0\0\0\x2b\x01\0\0\0\
\x18\0\0\x08\0\0\0\x97\0\0\0\x4f\x01\0\0\x22\x20\0\0\x10\0\0\0\x97\0\0\0\x76\
\x01\0\0\x27\x24\0\0\x18\0\0\0\x97\0\0\0\xa7\x01\0\0\x0f\x30\0\0\x28\0\0\0\x97\
\0\0\0\xa7\x01\0\0\x06\x30\0\0\x30\0\0\0\x97\0\0\0\xc1\x01\0\0\x08\x38\0\0\x38\
\0\0\0\x97\0\0\0\xd3\x01\0\0\x06\x3c\0\0\x48\0\0\0\x97\0\0\0\0\0\0\0\0\0\0\0\
\x58\0\0\0\x97\0\0\0\xf5\x01\0\0\x01\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\0\x63\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\0\x90\0\0\
\0\0\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x11\0\0\0\x01\
\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x38\x01\0\0\0\0\0\0\x68\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xa0\x01\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x55\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xa8\x01\0\0\0\0\0\0\x23\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x5a\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd0\
\x04\0\0\0\0\0\0\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0";
}

#endif /* __TEST_XDP_CONTEXT_TEST_RUN_SKEL_H__ */
